#     file     : python/l_File.py
#     author   : Marcus Rickert
#     RCS      : $Id: l_File.py,v 1.3 2005/03/26 06:58:51 mr Exp $
#     purpose  : provide simple access functions to the file system
#
#     Copyright (C) 2005 :  Marcus Rickert

# TODO:
#

import os
import shutil
from t_AppException import *
from stat import *

C_BACKUP_EXTENSION = '~'

# -----------------------------------------------------------------------------------

def backup(p_Source, p_Dest = None):
    if os.path.exists(p_Source):
        if not p_Dest:
            p_Dest = p_Source + C_BACKUP_EXTENSION
            try:
                shutil.copy(p_Source, p_Dest)

            except IOError, v_IOError:
                raise t_AppException(p_Message = "making backup",
                                     p_Filename = "source=%s dest=%s" % (p_Source, p_Dest),
                                     p_IOError = v_IOError);

# -----------------------------------------------------------------------------------

def open(p_Filename, p_Mode = "w", p_Permissions = 0644):
    try:
        v_File = open(p_Filename, p_Mode)
        os.chmod(p_Filename, p_Permissions)

    except IOError, v_IOError:
        raise t_AppException(p_Message = "opening file with permissions %o" % p_Permissions,
                             p_Filename = p_Filename,
                             p_IOError = v_IOError)

    return v_File
                             
# -----------------------------------------------------------------------------------
    
def size(p_Filename):

    try:
        return os.stat(p_Filename)[ST_SIZE]
        
    except OSError:
        return -1

# -----------------------------------------------------------------------------------
    
def creationTime(p_Filename):

    try:
        return os.stat(p_Filename)[ST_CTIME]
        
    except OSError:
        return -1

# -----------------------------------------------------------------------------------
    
def modificationTime(p_Filename):

    try:
        return os.stat(p_Filename)[ST_MTIME]
        
    except OSError:
        return -1

# -----------------------------------------------------------------------------------
