/*      file     : ParSim/TParSimGraphics.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TParSimGraphics.h,v 1.4 2005/03/25 11:07:34 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TPARSIMGRAPHICS_H
#define TPARSIMGRAPHICS_H

// ***INCLUDES************************************************************************ 

#include <TBaseObject.h>
#include <TObjectHandler.h>
#include <TLocation.h>

// ***FORWARDS************************************************************************

class TMapViewer;
class TTopologyWindow;
class TTimeStep;

#include <TNode.forward.h>
#include <TEdge.forward.h>

// ***DEFINES************************************************************************* 
// ***CLASSES************************************************************************* 

class TParSimGraphics : public TBaseObject, public TObjectHandler

{
public:

    TParSimGraphics(void);
    virtual ~TParSimGraphics(void);

    bool
    Activate(void);

    bool
    ExecuteSubTimeStep(TTimeStep &TimeStep);

    bool
    Run(void);

private:

    virtual TString
    GetClassName(void) const;
    
    virtual bool
    HandleAction(TParallelObject *Object, TObjectAction Action);

    bool
    LoadMap(void);

    bool             MapViewerActive;
    bool             TopologyWindowActive;
    bool             TopologyChanged;
    TRectangle       Frame;
    TNodeList       *Nodes;
    TEdgeList       *Edges;
    TMapViewer      *MapViewer;
    TTopologyWindow *TopologyWindow;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
