/*      file     : ParSim/TParSimSlave.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TParSimSlave.h,v 1.10 2005/03/25 11:07:34 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TPARSIMSLAVE_H
#define TPARSIMSLAVE_H

// ***INCLUDES************************************************************************ 

#include "TApplicationSlave.h"

// ***FORWARDS************************************************************************

class TCAManager;
class TTrafficDataManager;
class TTrafficSimulator;
class TRouter;

#ifdef XWINDOWS
class TParSimGraphics;
#endif

// ***CLASSES*************************************************************************

class TParSimSlave : public TApplicationSlave

{
public:

    TParSimSlave(int argc, char *argv[]);
    virtual ~TParSimSlave(void);

    virtual bool
        Activate(void);
    virtual bool
        Run(void);

private:

    virtual bool
    ExecuteSubTimeStep(void);

    virtual TString
    GetClassName(void) const;

    virtual bool
    IdleTime(void);

    virtual bool
    InitializeDataAfterReception(void);

    TTrafficDataManager *TrafficDataManager;
    TTrafficSimulator   *Simulator;
    TRouter             *Router;
    TCAManager          *CAManager;
    long                 StartTimeStep;
    long                 Delay;
#ifdef XWINDOWS
    TParSimGraphics     *Graphics;
#endif
};
 
// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
