/*      file     : TrafficData/TAlgoInfo.i.C
        project  : PAMINA III
        authors  : Marcus Rickert
        RCS      : $Id: TAlgoInfo.i.C,v 1.4 2005/03/25 12:28:51 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TNode.h>

// ***METHODS************************************************************************* 

inline double
TAlgoInfo::GetDist(void) const

{
    return Dist;
}

// =================================================================================== 

inline long
TAlgoInfo::GetFirstIncidentEdgeIndex(void) const

{
    return FirstIncidentEdge;
}

// =================================================================================== 

inline const TLocation &
TAlgoInfo::GetLocation(void) const

{    
    return Location;
}

// =================================================================================== 

inline TNode *
TAlgoInfo::GetNode(void) const

{
    return Node;
}

// =================================================================================== 

inline int
TAlgoInfo::GetNrOfIncidentEdges(void) const

{
    return NrOfIncidentEdges;
}

// =================================================================================== 

inline TParallelID
TAlgoInfo::GetParallelID(void) const

{
    return ParallelID;
}

// =================================================================================== 

inline TAlgoEdge *
TAlgoInfo::GetPred(void) const

{
    return Pred;
}

// =================================================================================== 

inline bool
TAlgoInfo::IsSink(void) const

{
    return (Flags & AI_FLAG_NO_SINK) == 0;
}

// =================================================================================== 

inline bool
TAlgoInfo::IsSource(void) const

{
    return (Flags & AI_FLAG_NO_SOURCE) == 0;
}

// =================================================================================== 

inline void
TAlgoInfo::SetDist(DistType theDist)

{
    Dist = theDist;
}

// =================================================================================== 

inline void
TAlgoInfo::SetEstimate(DistType theEstimate)

{
    Estimate = theEstimate;
}

// =================================================================================== 

inline void
TAlgoInfo::SetFlags(short int theFlags)

{
    Flags |= theFlags;
}

// =================================================================================== 

inline void
TAlgoInfo::SetIncidences(int theFirstIncidentEdge, int theNrOfIncidentEdges)

{
    FirstIncidentEdge = theFirstIncidentEdge;
    NrOfIncidentEdges = theNrOfIncidentEdges;
}

// =================================================================================== 

inline void
TAlgoInfo::SetPred(TAlgoEdge *thePred)

{
    Pred = thePred;
}

// =================================================================================== 
