/*      file     : TrafficData/TAsciiNodeReader.C
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TAsciiNodeReader.C,v 1.8 2005/03/29 20:32:32 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TDebug.h"

#include "ParToolsTypes.h"

#include "TDatabaseNode.h"

#include "TAsciiNodeReader.h"

// ***DEFINES************************************************************************* 

#define NODES_ASCII_TABLE_NAME "Nodes"
#define NODES_SCAN_PATTERN PARALLEL_ID_PRINTF_FORMAT

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TAsciiDataTypeReader
// =================================================================================== 

TAsciiNodeReader::TAsciiNodeReader(const char *theBaseFilename) :

ParentClass(theBaseFilename, NODES_ASCII_TABLE_NAME, NODES_SCAN_PATTERN)

{    
}

// =================================================================================== 

void *
TAsciiNodeReader::CreateObject(const char *Line) const

{
    TDatabaseNode *Node = 0;
    static char Format[64] = { 0 };

    if ((Node = new TDatabaseNode) == 0)
    {
        Error("cannot create TDatabaseNode");
        return 0;
    }
    if (0 == Format[0]) {
        sprintf(Format, "%s %%lf %%lf", PARALLEL_ID_PRINTF_FORMAT);
        Print(DM_FILE, "created scanf format %s", Format);
    }
    if (sscanf(Line, Format, &Node->ID, &Node->X, &Node->Y) != 3)
    {
        Error("too few parameters in line '%s'", Line);
        return 0;
    }

    //    Print(Format, Node->ID, Node->X, Node->Y);

    return Node;
}

// =================================================================================== 

void 
TAsciiNodeReader::DisposeObject(void *Object)

{
    delete (TDatabaseNode *) Object;
}

// =================================================================================== 
#undef ParentClass
