/*      file     : TrafficData/TMultiLaneGridConfig.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TMultilaneGridConfig.h,v 1.4 2005/03/25 12:28:52 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TMULTILANEGRIDCONFIG_H
#define TMULTILANEGRIDCONFIG_H

// ***INCLUDES************************************************************************ 

#include <CAConfig.h>

// ***DEFINES*************************************************************************

// Flags for TMultiLaneGridContext.Flags


// ***FORWARDS************************************************************************

class TBaseStream;

// ***CLASSES************************************************************************* 

class TMultilaneGridConfig

{
 public:
    
    TMultilaneGridConfig(void);

    virtual bool
        Decode(TBaseStream *aStream);
    virtual bool
        Encode(TBaseStream *aStream) const;

    short int   Flags;
    short int   LaneFlags[MAX_LANES];
    long        NrOfSites;
    short int   NrOfLanes;
    short int   MaxV;             /* system wide? maximum velocity */
    short int   SpeedLimit;       /* maximum velocity of all grid sites */
    short int   SlowVelocity;
    short int   ChangeViewRange;  
    short int   MoveViewRange;
    short int   ChangeUpdateSteps;
    short int   MoveUpdateSteps;
    float       DecProb;           /* decelaration probability */
    float       ChangeProb[2];     /* lane change probability */
    short int   LookBack[2];       /* nr of sites to 'look back' before lane change */
    short int   RouteLookBack[2];  /* nr of sites to look back, if lane change is
                                          forced by route plan execution */
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
