/*      file     : TrafficData/TMultilaneStat.i.C
        project  : Parallel Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TMultilaneStat.i.C,v 1.4 2005/03/25 12:28:52 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline double
TMultilaneStat::GetDensity(int CLane) const

{
    if (GetNrOfSites(CLane))
        return ((double) GetNrOfVehicles(CLane)) / (double) GetNrOfSites(CLane);
    else
        return INVALID_MEAN;
}

/* =================================================================================== */

inline double
TMultilaneStat::GetFlow(int CLane) const

{
    if (GetNrOfSites(CLane))
        return ((double) GetSumV(CLane)) / (double) GetNrOfSites(CLane);
    else
        return INVALID_MEAN;
}

/* =================================================================================== */

inline double
TMultilaneStat::GetVMean(int CLane) const

{
    if (GetNrOfVehicles(CLane))
        return (double) SumV[CLane] / (double) GetNrOfVehicles(CLane);
    else
        return INVALID_MEAN;
}

/* =================================================================================== */

inline int
TMultilaneStat::GetMaxNrOfLanes(void) const

{
    return MaxNrOfLanes;
}

/* =================================================================================== */

inline long
TMultilaneStat::GetNrOfActiveGrids(void) const

{
    return NrOfActiveGrids;
}

/* =================================================================================== */

inline long
TMultilaneStat::GetNrOfActiveSites(void) const

{
    return NrOfActiveSites;
}

/* =================================================================================== */

inline long
TMultilaneStat::GetNrOfGrids(void) const

{
    return NrOfGrids;
}

/* =================================================================================== */

inline long
TMultilaneStat::GetNrOfSites(int CLane) const

{
    return NrOfSites[CLane];
}

/* =================================================================================== */

inline long
TMultilaneStat::GetNrOfSlowVehicles(int CLane) const

{
    return NrOfSlowVehicles[CLane];
}

/* =================================================================================== */

inline long
TMultilaneStat::GetNrOfVehicles(int CLane, int CV) const

{
    return V[CLane][CV];
}

/* =================================================================================== */
#ifdef CA_MONITOR_RND
inline long
TMultilaneStat::GetRndCount(int CLane, int State) const

{
    return RndCount[CLane][State];
}
#endif
/* =================================================================================== */

inline double
TMultilaneStat::GetSlowRatio(int CLane) const

{
    return SecureDiv((double) NrOfSlowVehicles[CLane], (double) GetNrOfVehicles(CLane));
}

/* =================================================================================== */

inline long
TMultilaneStat::GetSumV(int CLane) const

{
    return SumV[CLane];
}

// =================================================================================== 



