/*     file     : TrafficData/Transims.h
       project  : PAMINA III
       author   : Marcus Rickert
       RCS      : $Id: Transims.h,v 1.5 2005/03/25 12:28:52 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TRANSIMS_H
#define TRANSIMS_H

// ***DEFINES************************************************************************* 

#define TRANSIMS_LINK_STAT_INTERVAL    900L
#define TRANSIMS_LINK_STAT_FILE_HEADER "SUM     TIME    NODE    SUMSQUARES      COUNT   LINK\n"
#define TRANSIMS_LINK_STAT_EXTENSION   ".tls"

#define GRIDLOCK_SPEED_FACTOR          100.0

#define TRANSIMS_LINK_STAT_GRIDLOCK_DENSITY 0.05

// <<<<< DO NOT CHANGE THESE VALUES 
/** TRANSIMS_LINK_STAT_MIN_COUNT defines the minimum number of vehicles that have to
    be on a link to use the SumV entry of the statistics info. If there are fewer 
    vehicles the SumV entry and the Count entries will be 'faked' from the free speed
    data by generating one vehicle having exactly the free speed. */

#define TRANSIMS_LINK_STAT_MIN_COUNT        3
#define TRANSIMS_LINK_STAT_MIN_SPEED        0.01  // m/s
// >>>>> 

//! convert km/h into m/s:

#define KMH2MPS(kmh) ((kmh) / 3.6)

// ***PROTOTYPES********************************************************************** 
#ifdef __cplusplus
extern "C" {
#endif
    unsigned long
        PaminaEdge2TransimsLink(long EdgeID);
    int
        TransimsLinkColor(double Velocity, int MaxColors);
#ifdef __cplusplus
}
#endif
// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
