/*      file     : common/TABTree.t.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TABTree.t.C,v 1.5 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#include "gcc_pragma_interface.h"

// ***METHODS************************************************************************* 

// ===================================================================================
#define ParentClass TABTreePrimitive
// ===================================================================================

template < class EntryType >
TABTree< EntryType >::TABTree(long theFlags) :

TABTreePrimitive(theFlags)

{
}

// ===================================================================================

template < class EntryType >
bool
TABTree< EntryType >::AddCopies(TABTree <EntryType > *aContainer, bool Unique, 
                                int CompareCode)

{
    return ParentClass::_AddCopies(aContainer, Unique, CompareCode);
}

// ===================================================================================

template < class EntryType >
EntryType *
TABTree< EntryType >::Delete(EntryType Entry, int CompareCode)

{
    return (EntryType *) ParentClass::DeleteByValue(&Entry, CompareCode);
}

// ===================================================================================

template < class EntryType >
EntryType *
TABTree< EntryType >::DeleteByReference(EntryType *Entry, int CompareCode)

{
    return (EntryType *) ParentClass::_DeleteByReference(Entry, CompareCode);
}

// ===================================================================================

template < class EntryType >
EntryType *
TABTree< EntryType >::DeleteByReference(EntryType Entry, int CompareCode)

{
    return (EntryType *) ParentClass::_DeleteByReference(&Entry, CompareCode);
}

// ===================================================================================

template < class EntryType >
bool
TABTree< EntryType >::Contains(EntryType Object, int CompareCode)

{
    return ParentClass::_Contains(&Object, CompareCode);
}

// ===================================================================================

template < class EntryType >
EntryType *
TABTree< EntryType >::Find(EntryType Object, int CompareCode)

{
    return (EntryType *) ParentClass::_Find(&Object, CompareCode);
}

// ===================================================================================

template < class EntryType >
bool
TABTree< EntryType >::Insert(EntryType *Object, bool Unique, int CompareCode)

{
    return ParentClass::_Insert(Object, Unique, CompareCode);
}

// ===================================================================================
#undef ParentClass
