/*      file     : common/TBaseObject.i.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TBaseObject.i.C,v 1.7 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***FUNCTIONS***********************************************************************

inline int
CompareLong(long L1, long L2)

{
    if (L1 > L2)
        return 1;
    else
        if (L1 < L2)
            return -1;
    return 0;
}

// =================================================================================== 

inline int
CompareDouble(double D1, double D2)

{
    if (D1 > D2)
        return 1;
    else
        if (D1 < D2)
            return -1;
    return 0;
}

// ***METHODS************************************************************************* 

inline
TBaseObject::TBaseObject(long theFlags)

{ 
    Flags = theFlags; 
}

// =================================================================================== 

inline void
TBaseObject::_Fail(void)

{
    Flags |= BO_FLAG_FAILED;
}

// =================================================================================== 

inline bool
TBaseObject::Failed(void) const

{
    return Flags & BO_FLAG_FAILED;
}

// =================================================================================== 

inline long
TBaseObject::GetBaseFlags(void) const

{
    return Flags;
}

// =================================================================================== 

inline bool
TBaseObject::AreBaseFlagsSet(long Mask) const

{
    return (Flags & Mask) == Mask;
}

// =================================================================================== 

inline void
TBaseObject::ResetBaseFlags(long Mask)

{
    Flags &= ~Mask;
}

// =================================================================================== 

inline void
TBaseObject::SetBaseFlags(long Mask)

{
    Flags |= Mask;
}

// =================================================================================== 
