/*      file     : common/TID2Table.h
        project  : General Toolbox
        author   : Marcus Rickert
        objects  : TID2TableEntryPrimitive
                   TID2TableEntry<>
                   TID2Table<>
        RCS      : $Id: TID2Table.h,v 1.6 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#include "gcc_pragma_interface.h"

#ifndef TID2Table_H
#define TID2Table_H

// ***INCLUDES************************************************************************

#include <Basic.h>
#include <TDebug.h>
#include <TBaseObject.h>
#include <TABTree.h>

// ***TYPES***************************************************************************

typedef unsigned long TLongID;

// ***CLASSES*************************************************************************

template <class T>
class TID2TableEntry : public TBaseObject

{
 public:

    TID2TableEntry(void);
    TID2TableEntry(TLongID anID, TLongID ID2);
    TID2TableEntry(TLongID anID, TLongID ID2, T ItemPar);

    inline TLongID 
        GetID(void) const;
    inline TLongID 
        GetID2(void) const;
    inline T
        GetItem(void) const;

 private:

    TLongID ID;
    TLongID ID2;
    T       Item;    

    virtual int
        Compare(TBaseObject *OtherObject, int CompareCode = 0) const;
};

// ===================================================================================

template <class DataType>
class TID2Table : public TABTree< TID2TableEntry< DataType > >

{    
  public:

    TID2Table(void) { };
    
    DataType
        Find(TLongID theID, TLongID theID2);
};

// ***TEMPLATE METHODS****************************************************************

#if defined (INCLUDE_TEMPLATES) || defined(TEMPLATEBODIES)
#  include "TID2Table.t.C"
#endif

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif





