/*      file     : common/TID2Table.t.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TID2Table.t.C,v 1.4 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TBaseObject
// =================================================================================== 


template <class T>
TID2TableEntry<T>::TID2TableEntry (void)

{
}

// ===================================================================================

template <class T>
TID2TableEntry< T >::TID2TableEntry (TLongID anID, TLongID anID2, T anItem)

{
    ID = anID;
    ID2 = anID2;
    Item = anItem;
}

// ===================================================================================
    
template <class T>
TID2TableEntry< T >::TID2TableEntry (TLongID anID, TLongID anID2)
    
{
    ID = anID;
    ID2 = anID2;
}

// ===================================================================================

template <class T>
int 
TID2TableEntry< T >::Compare(TBaseObject *OtherObject, int) const

{
    TID2TableEntry< T > *OtherEntry = (TID2TableEntry< T > *) OtherObject;

    if (GetID() == OtherEntry->GetID())
        return GetID2() - OtherEntry->GetID2();
    else
        return GetID() - OtherEntry->GetID();
}


// =================================================================================== 

template < class T >
inline TLongID
TID2TableEntry< T >::GetID(void) const

{
    return ID;
}

// =================================================================================== 

template < class T >
inline TLongID
TID2TableEntry< T >::GetID2(void) const

{
    return ID2;
}

// =================================================================================== 

template < class T >
inline T
TID2TableEntry< T >::GetItem(void) const

{
    return Item;
}

// ===================================================================================
#undef ParentClass
#define ParentClass TABTree< TID2TableEntry < DataType > >
// ===================================================================================

template < class DataType >
DataType
TID2Table< DataType >::Find(TLongID theID, TLongID theID2)

{
    TID2TableEntry< DataType > *FindEntry;
    bool                        Found = FALSE;

    if ((FindEntry = (TID2TableEntry< DataType > *)
        ParentClass::Find(TID2TableEntry< DataType > (theID, theID2), Found)))
        return FindEntry->GetItem();
    else
        return (DataType) 0;
}

// =================================================================================== 
#undef ParentClass
