/*      file     : common/TSelector.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TSelector.C,v 1.6 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TString.h"

#include "TContainer.h"
#include "TSelector.h"

// ***METHODS************************************************************************* 

#ifdef NO_INLINE
#  include "TSelector.i.C"
#endif

// =================================================================================== 
#define ParentClass TEnumeratorPrimitive
// =================================================================================== 

TSelectorPrimitive::TSelectorPrimitive(const TContainer *theContainer) :

TEnumeratorPrimitive(theContainer)

{
    KeyPtr = 0;
    CompareCode = 0;
}

// =================================================================================== 

TSelectorPrimitive::~TSelectorPrimitive()

{
}

// =================================================================================== 

void
TSelectorPrimitive::Enumerate(void)

{
    KeyPtr = 0;
    CompareCode = 0;
    ParentClass::Enumerate();
}

// =================================================================================== 

void
TSelectorPrimitive::Select(TBaseObject *theKeyPtr, int theCompareCode)

{
    KeyPtr = theKeyPtr;
    CompareCode = theCompareCode;
    Container->Select(this);
    TraceLeft();
}

// =================================================================================== 

void
TSelectorPrimitive::TraceLeft(void)

{
    TBaseObject *PreviousDataPtr;
    long         PreviousIndex;

    if (GetDataPtr())
    {
        do 
        {
            PreviousDataPtr = GetDataPtr();
            PreviousIndex = GetIndex();
            Container->MoveBackward(this);
        }
        while (Container->WhileSelection(this));
        SetDataPtr(PreviousDataPtr);
        SetIndex(PreviousIndex);
    }
}

// =================================================================================== 
#undef ParentClass
