divert(-1)
/*      file     : common/template/ParserDecodeEncode.Body.m4
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: StreamDecodeEncode.Body.m4,v 1.5 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***FUNCTIONS*********************************************************************** 

divert(0)
bool
TStream::Decode(TYPE &Value, long Count, long)

{
    if (File == 0)
    {
        Error("Decode: no file opened");
        return FALSE;
    }
    if (Binary)
    {
        long BytesToBeRead;
        long BytesRead;

        BytesToBeRead = (long) (Count * sizeof(TYPE));
        //      Print("read %ld bytes", BytesToBeRead);
        BytesRead = (long) fread((void *)  &Value, BytesToBeRead, 1, File);
        if (BytesRead < 1)
        {
            Warning("Decode: too few bytes read");
            return FALSE;
        }
    }
    else
    {
        long i;

        i = 0;
        while (i < Count)
        {
            if (CurrentToken == 0)
            {
                Error("Decode: no current token");
                return FALSE;
            }
            if (sscanf(CurrentToken, SCANFORMAT, ((TYPE *) &Value) + i) != 1)
            {
                Error("illegal value '%s', expected TYPE", CurrentToken);
                return FALSE;
            }   
            ReadToken();
            i++;
        }
    }
    return TRUE;
}

// ===================================================================================

divert(0)
bool
TStream::Encode(const TYPE &Value, long Count, long) const

{
    if (File == 0)
    {
        Error("Decode: no file opened");
        return FALSE;
    }
    if (Binary)
    {
        long BytesToBeWritten;
        long BytesWritten;

        BytesToBeWritten = (long) (Count * sizeof(TYPE));
        BytesWritten = (long) fwrite((void *)  &Value, BytesToBeWritten, 1, File);
        if (BytesWritten < 1)
        {
            Error("Encode: too few bytes written");
            return FALSE;
        }
    }
    else
    {
        long i = 0;

        while (i < Count)
        {
            fprintf(File, PRINTFORMAT, * (((const TYPE *) &Value) + i));
            fprintf(File, " ");
            i++;
        }
    }
    return TRUE;
}

// ===================================================================================
divert(-1)
// ===================================================================================
// Local Variables:
// mode:c++
// End:

