/*      file     : graphx/grFntDef.h
        project  : graphical toolbox
        author   : Michael Olesen
        comments : simple classes for using X11
        RCS      : $Id: grFntDef.h,v 1.2 2005/03/25 11:06:10 mr Exp $
*/

#ifndef __grFontDef__
#define __grFontDef__

#define GR_FNT_EMPTY ""

#ifdef _XLIB_H_

/**************** courier medium regular *******************/

#define X11_CMR8 "-adobe-courier-medium-r-normal--8-80-75-75-m-50-iso8859-1"
#define X11_CMR10 "-adobe-courier-medium-r-normal--10-100-75-75-m-60-iso8859-1"
#define X11_CMR12 "-adobe-courier-medium-r-normal--12-120-75-75-m-70-iso8859-1"
#define X11_CMR14 "-adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1"
#define X11_CMR18 "-adobe-courier-medium-r-normal--18-180-75-75-m-110-iso8859-1"
#define X11_CMR24 "-adobe-courier-medium-r-normal--24-240-75-75-m-150-iso8859-1"

/**************** courier medium italic ********************/

#define X11_CMI8 "-adobe-courier-medium-o-normal--8-80-75-75-m-50-iso8859-1"
#define X11_CMI10 "-adobe-courier-medium-o-normal--10-100-75-75-m-60-iso8859-1"
#define X11_CMI12 "-adobe-courier-medium-o-normal--12-120-75-75-m-70-iso8859-1"
#define X11_CMI14 "-adobe-courier-medium-o-normal--14-140-75-75-m-90-iso8859-1"
#define X11_CMI18 "-adobe-courier-medium-o-normal--18-180-75-75-m-110-iso8859-1"
#define X11_CMI24 "-adobe-courier-medium-o-normal--24-240-75-75-m-150-iso8859-1"

/***************** courier bold regular ********************/

#define X11_CBR8 "-adobe-courier-bold-r-normal--8-80-75-75-m-50-iso8859-1"
#define X11_CBR10 "-adobe-courier-bold-r-normal--10-100-75-75-m-60-iso8859-1"
#define X11_CBR12 "-adobe-courier-bold-r-normal--12-120-75-75-m-70-iso8859-1"
#define X11_CBR14 "-adobe-courier-bold-r-normal--14-140-75-75-m-90-iso8859-1"
#define X11_CBR18 "-adobe-courier-bold-r-normal--18-180-75-75-m-110-iso8859-1"
#define X11_CBR24 "-adobe-courier-bold-r-normal--24-240-75-75-m-150-iso8859-1"

/****************** courier bold italic ********************/

#define X11_CBI8 "-adobe-courier-bold-o-normal--8-80-75-75-m-50-iso8859-1"
#define X11_CBI10 "-adobe-courier-bold-o-normal--10-100-75-75-m-60-iso8859-1"
#define X11_CBI12 "-adobe-courier-bold-o-normal--12-120-75-75-m-70-iso8859-1"
#define X11_CBI14 "-adobe-courier-bold-o-normal--14-140-75-75-m-90-iso8859-1"
#define X11_CBI18 "-adobe-courier-bold-o-normal--18-180-75-75-m-110-iso8859-1"
#define X11_CBI24 "-adobe-courier-bold-o-normal--24-240-75-75-m-150-iso8859-1"

/*************** helvetica medium regular ******************/

#define X11_HMR8 "-adobe-helvetica-medium-r-normal--8-80-75-75-p-46-iso8859-1"
#define X11_HMR10 "-adobe-helvetica-medium-r-normal--10-100-75-75-p-56-iso8859-1"
#define X11_HMR12 "-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-1"
#define X11_HMR14 "-adobe-helvetica-medium-r-normal--14-140-75-75-p-77-iso8859-1"
#define X11_HMR18 "-adobe-helvetica-medium-r-normal--18-180-75-75-p-98-iso8859-1"
#define X11_HMR24 "-adobe-helvetica-medium-r-normal--24-240-75-75-p-130-iso8859-1"

/**************** helvetica medium italic ******************/

#define X11_HMI8 "-adobe-helvetica-medium-o-normal--8-80-75-75-p-47-iso8859-1"
#define X11_HMI10 "-adobe-helvetica-medium-o-normal--10-100-75-75-p-57-iso8859-1"
#define X11_HMI12 "-adobe-helvetica-medium-o-normal--12-120-75-75-p-67-iso8859-1"
#define X11_HMI14 "-adobe-helvetica-medium-o-normal--14-140-75-75-p-78-iso8859-1"
#define X11_HMI18 "-adobe-helvetica-medium-o-normal--18-180-75-75-p-98-iso8859-1"
#define X11_HMI24 "-adobe-helvetica-medium-o-normal--24-240-75-75-p-130-iso8859-1"

/**************** helvetica bold regular *******************/

#define X11_HBR8 "-adobe-helvetica-bold-r-normal--8-80-75-75-p-50-iso8859-1"
#define X11_HBR10 "-adobe-helvetica-bold-r-normal--10-100-75-75-p-60-iso8859-1"
#define X11_HBR12 "-adobe-helvetica-bold-r-normal--12-120-75-75-p-70-iso8859-1"
#define X11_HBR14 "-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1"
#define X11_HBR18 "-adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1"
#define X11_HBR24 "-adobe-helvetica-bold-r-normal--24-240-75-75-p-138-iso8859-1"

/***************** helvetica bold italic *******************/

#define X11_HBI8 "adobe-helvetica-bold-o-normal--8-80-75-75-p-50-iso8859-1"
#define X11_HBI10 "-adobe-helvetica-bold-o-normal--10-100-75-75-p-60-iso8859-1"
#define X11_HBI12 "-adobe-helvetica-bold-o-normal--12-120-75-75-p-69-iso8859-1"
#define X11_HBI14 "-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1"
#define X11_HBI18 "-adobe-helvetica-bold-o-normal--18-180-75-75-p-104-iso8859-1"
#define X11_HBI24 "-adobe-helvetica-bold-o-normal--24-240-75-75-p-138-iso8859-1"

/********* new century schoolbook medium regular ***********/

#define X11_NCMR8 "-adobe-new century schoolbook-medium-r-normal--8-80-75-75-p-50-iso8859-1"
#define X11_NCMR10 "-adobe-new century schoolbook-medium-r-normal--10-100-75-75-p-60-iso8859-1"
#define X11_NCMR12 "-adobe-new century schoolbook-medium-r-normal--12-120-75-75-p-70-iso8859-1"
#define X11_NCMR14 "-adobe-new century schoolbook-medium-r-normal--14-140-75-75-p-82-iso8859-1"
#define X11_NCMR18 "-adobe-new century schoolbook-medium-r-normal--18-180-75-75-p-103-iso8859-1"
#define X11_NCMR24 "-adobe-new century schoolbook-medium-r-normal--24-240-75-75-p-137-iso8859-1"

/********** new century schoolbook medium italic ***********/

#define X11_NCMI8 "-adobe-new century schoolbook-medium-i-normal--8-80-75-75-p-50-iso8859-1"
#define X11_NCMI10 "-adobe-new century schoolbook-medium-i-normal--10-100-75-75-p-60-iso8859-1"
#define X11_NCMI12 "-adobe-new century schoolbook-medium-i-normal--12-120-75-75-p-70-iso8859-1"
#define X11_NCMI14 "-adobe-new century schoolbook-medium-i-normal--14-140-75-75-p-81-iso8859-1"
#define X11_NCMI18 "-adobe-new century schoolbook-medium-i-normal--18-180-75-75-p-104-iso8859-1"
#define X11_NCMI24 "-adobe-new century schoolbook-medium-i-normal--24-240-75-75-p-136-iso8859-1"

/********** new century schoolbook bold regular ************/

#define X11_NCBR8 "-adobe-new century schoolbook-bold-r-normal--8-80-75-75-p-56-iso8859-1"
#define X11_NCBR10 "-adobe-new century schoolbook-bold-r-normal--10-100-75-75-p-66-iso8859-1"
#define X11_NCBR12 "-adobe-new century schoolbook-bold-r-normal--12-120-75-75-p-77-iso8859-1"
#define X11_NCBR14 "-adobe-new century schoolbook-bold-r-normal--14-140-75-75-p-87-iso8859-1"
#define X11_NCBR18 "-adobe-new century schoolbook-bold-r-normal--18-180-75-75-p-113-iso8859-1"
#define X11_NCBR24 "-adobe-new century schoolbook-bold-r-normal--24-240-75-75-p-149-iso8859-1"

/*********** new century schoolbook bold italic ************/

#define X11_NCBI8 "-adobe-new century schoolbook-bold-i-normal--8-80-75-75-p-56-iso8859-1"
#define X11_NCBI10 "-adobe-new century schoolbook-bold-i-normal--10-100-75-75-p-66-iso8859-1"
#define X11_NCBI12 "-adobe-new century schoolbook-bold-i-normal--12-120-75-75-p-76-iso8859-1"
#define X11_NCBI14 "-adobe-new century schoolbook-bold-i-normal--14-140-75-75-p-88-iso8859-1"
#define X11_NCBI18 "-adobe-new century schoolbook-bold-i-normal--18-180-75-75-p-111-iso8859-1"
#define X11_NCBI24 "-adobe-new century schoolbook-bold-i-normal--24-240-75-75-p-148-iso8859-1"

/****************** times medium regular *******************/

#define X11_TMR8 "-adobe-times-medium-r-normal--8-80-75-75-p-44-iso8859-1"
#define X11_TMR10 "-adobe-times-medium-r-normal--10-100-75-75-p-54-iso8859-1"
#define X11_TMR12 "-adobe-times-medium-r-normal--12-120-75-75-p-64-iso8859-1"
#define X11_TMR14 "-adobe-times-medium-r-normal--14-140-75-75-p-74-iso8859-1"
#define X11_TMR18 "-adobe-times-medium-r-normal--18-180-75-75-p-94-iso8859-1"
#define X11_TMR24 "-adobe-times-medium-r-normal--24-240-75-75-p-124-iso8859-1"

/******************* times medium italic *******************/

#define X11_TMI8 "-adobe-times-medium-i-normal--8-80-75-75-p-42-iso8859-1"
#define X11_TMI10 "-adobe-times-medium-i-normal--10-100-75-75-p-52-iso8859-1"
#define X11_TMI12 "-adobe-times-medium-i-normal--12-120-75-75-p-63-iso8859-1"
#define X11_TMI14 "-adobe-times-medium-i-normal--14-140-75-75-p-73-iso8859-1"
#define X11_TMI18 "-adobe-times-medium-i-normal--18-180-75-75-p-94-iso8859-1"
#define X11_TMI24 "-adobe-times-medium-i-normal--24-240-75-75-p-125-iso8859-1"

/******************* times bold regular ********************/

#define X11_TBR8 "-adobe-times-bold-r-normal--8-80-75-75-p-47-iso8859-1"
#define X11_TBR10 "-adobe-times-bold-r-normal--10-100-75-75-p-57-iso8859-1"
#define X11_TBR12 "-adobe-times-bold-r-normal--12-120-75-75-p-67-iso8859-1"
#define X11_TBR14 "-adobe-times-bold-r-normal--14-140-75-75-p-77-iso8859-1"
#define X11_TBR18 "-adobe-times-bold-r-normal--18-180-75-75-p-99-iso8859-1"
#define X11_TBR24 "-adobe-times-bold-r-normal--24-240-75-75-p-132-iso8859-1"

/******************** times bold italic ********************/

#define X11_TBI8 "-adobe-times-bold-i-normal--8-80-75-75-p-47-iso8859-1"
#define X11_TBI10 "-adobe-times-bold-i-normal--10-100-75-75-p-57-iso8859-1"
#define X11_TBI12 "-adobe-times-bold-i-normal--12-120-75-75-p-68-iso8859-1"
#define X11_TBI14 "-adobe-times-bold-i-normal--14-140-75-75-p-77-iso8859-1"
#define X11_TBI18 "-adobe-times-bold-i-normal--18-180-75-75-p-98-iso8859-1"
#define X11_TBI24 "-adobe-times-bold-i-normal--24-240-75-75-p-128-iso8859-1"

/****************** symbol medium regular ******************/

#define X11_SMR8 "-adobe-symbol-medium-r-normal--8-80-75-75-p-51-adobe-fontspecific"
#define X11_SMR10 "-adobe-symbol-medium-r-normal--10-100-75-75-p-61-adobe-fontspecific"
#define X11_SMR12 "-adobe-symbol-medium-r-normal--12-120-75-75-p-74-adobe-fontspecific"
#define X11_SMR14 "-adobe-symbol-medium-r-normal--14-140-75-75-p-85-adobe-fontspecific"
#define X11_SMR18 "-adobe-symbol-medium-r-normal--18-180-75-75-p-107-adobe-fontspecific"
#define X11_SMR24 "-adobe-symbol-medium-r-normal--24-240-75-75-p-142-adobe-fontspecific"

/******************* standard definitions ******************/

#define GR_FNT_CMR0 GR_FNT_EMPTY
#define GR_FNT_CMR1 GR_FNT_EMPTY
#define GR_FNT_CMR2 GR_FNT_EMPTY
#define GR_FNT_CMR3 GR_FNT_EMPTY
#define GR_FNT_CMR4 GR_FNT_EMPTY
#define GR_FNT_CMR5 GR_FNT_EMPTY
#define GR_FNT_CMR6 GR_FNT_EMPTY
#define GR_FNT_CMR7 GR_FNT_EMPTY
#define GR_FNT_CMR8 X11_CMR8
#define GR_FNT_CMR9 GR_FNT_EMPTY
#define GR_FNT_CMR10 X11_CMR10
#define GR_FNT_CMR11 GR_FNT_EMPTY
#define GR_FNT_CMR12 X11_CMR12
#define GR_FNT_CMR13 GR_FNT_EMPTY
#define GR_FNT_CMR14 X11_CMR14
#define GR_FNT_CMR15 GR_FNT_EMPTY
#define GR_FNT_CMR16 GR_FNT_EMPTY
#define GR_FNT_CMR17 GR_FNT_EMPTY
#define GR_FNT_CMR18 X11_CMR18
#define GR_FNT_CMR19 GR_FNT_EMPTY
#define GR_FNT_CMR20 GR_FNT_EMPTY
#define GR_FNT_CMR21 GR_FNT_EMPTY
#define GR_FNT_CMR22 GR_FNT_EMPTY
#define GR_FNT_CMR23 GR_FNT_EMPTY
#define GR_FNT_CMR24 X11_CMR24
#define GR_FNT_CMR25 GR_FNT_EMPTY
#define GR_FNT_CMR26 GR_FNT_EMPTY
#define GR_FNT_CMR27 GR_FNT_EMPTY
#define GR_FNT_CMR28 GR_FNT_EMPTY
#define GR_FNT_CMR29 GR_FNT_EMPTY
#define GR_FNT_CMR30 GR_FNT_EMPTY
#define GR_FNT_CMR31 GR_FNT_EMPTY
#define GR_FNT_CMR32 GR_FNT_EMPTY
#define GR_FNT_CMR33 GR_FNT_EMPTY
#define GR_FNT_CMR34 GR_FNT_EMPTY
#define GR_FNT_CMR35 GR_FNT_EMPTY
#define GR_FNT_CMR36 GR_FNT_EMPTY
#define GR_FNT_CMR37 GR_FNT_EMPTY
#define GR_FNT_CMR38 GR_FNT_EMPTY
#define GR_FNT_CMR39 GR_FNT_EMPTY
#define GR_FNT_CMR40 GR_FNT_EMPTY

#define GR_FNT_CMI0 GR_FNT_EMPTY
#define GR_FNT_CMI1 GR_FNT_EMPTY
#define GR_FNT_CMI2 GR_FNT_EMPTY
#define GR_FNT_CMI3 GR_FNT_EMPTY
#define GR_FNT_CMI4 GR_FNT_EMPTY
#define GR_FNT_CMI5 GR_FNT_EMPTY
#define GR_FNT_CMI6 GR_FNT_EMPTY
#define GR_FNT_CMI7 GR_FNT_EMPTY
#define GR_FNT_CMI8 X11_CMI8
#define GR_FNT_CMI9 GR_FNT_EMPTY
#define GR_FNT_CMI10 X11_CMI10
#define GR_FNT_CMI11 GR_FNT_EMPTY
#define GR_FNT_CMI12 X11_CMI12
#define GR_FNT_CMI13 GR_FNT_EMPTY
#define GR_FNT_CMI14 X11_CMI14
#define GR_FNT_CMI15 GR_FNT_EMPTY
#define GR_FNT_CMI16 GR_FNT_EMPTY
#define GR_FNT_CMI17 GR_FNT_EMPTY
#define GR_FNT_CMI18 X11_CMI18
#define GR_FNT_CMI19 GR_FNT_EMPTY
#define GR_FNT_CMI20 GR_FNT_EMPTY
#define GR_FNT_CMI21 GR_FNT_EMPTY
#define GR_FNT_CMI22 GR_FNT_EMPTY
#define GR_FNT_CMI23 GR_FNT_EMPTY
#define GR_FNT_CMI24 X11_CMI24
#define GR_FNT_CMI25 GR_FNT_EMPTY
#define GR_FNT_CMI26 GR_FNT_EMPTY
#define GR_FNT_CMI27 GR_FNT_EMPTY
#define GR_FNT_CMI28 GR_FNT_EMPTY
#define GR_FNT_CMI29 GR_FNT_EMPTY
#define GR_FNT_CMI30 GR_FNT_EMPTY
#define GR_FNT_CMI31 GR_FNT_EMPTY
#define GR_FNT_CMI32 GR_FNT_EMPTY
#define GR_FNT_CMI33 GR_FNT_EMPTY
#define GR_FNT_CMI34 GR_FNT_EMPTY
#define GR_FNT_CMI35 GR_FNT_EMPTY
#define GR_FNT_CMI36 GR_FNT_EMPTY
#define GR_FNT_CMI37 GR_FNT_EMPTY
#define GR_FNT_CMI38 GR_FNT_EMPTY
#define GR_FNT_CMI39 GR_FNT_EMPTY
#define GR_FNT_CMI40 GR_FNT_EMPTY

#define GR_FNT_CBR0 GR_FNT_EMPTY
#define GR_FNT_CBR1 GR_FNT_EMPTY
#define GR_FNT_CBR2 GR_FNT_EMPTY
#define GR_FNT_CBR3 GR_FNT_EMPTY
#define GR_FNT_CBR4 GR_FNT_EMPTY
#define GR_FNT_CBR5 GR_FNT_EMPTY
#define GR_FNT_CBR6 GR_FNT_EMPTY
#define GR_FNT_CBR7 GR_FNT_EMPTY
#define GR_FNT_CBR8 X11_CBR8
#define GR_FNT_CBR9 GR_FNT_EMPTY
#define GR_FNT_CBR10 X11_CBR10
#define GR_FNT_CBR11 GR_FNT_EMPTY
#define GR_FNT_CBR12 X11_CBR12
#define GR_FNT_CBR13 GR_FNT_EMPTY
#define GR_FNT_CBR14 X11_CBR14
#define GR_FNT_CBR15 GR_FNT_EMPTY
#define GR_FNT_CBR16 GR_FNT_EMPTY
#define GR_FNT_CBR17 GR_FNT_EMPTY
#define GR_FNT_CBR18 X11_CBR18
#define GR_FNT_CBR19 GR_FNT_EMPTY
#define GR_FNT_CBR20 GR_FNT_EMPTY
#define GR_FNT_CBR21 GR_FNT_EMPTY
#define GR_FNT_CBR22 GR_FNT_EMPTY
#define GR_FNT_CBR23 GR_FNT_EMPTY
#define GR_FNT_CBR24 X11_CBR24
#define GR_FNT_CBR25 GR_FNT_EMPTY
#define GR_FNT_CBR26 GR_FNT_EMPTY
#define GR_FNT_CBR27 GR_FNT_EMPTY
#define GR_FNT_CBR28 GR_FNT_EMPTY
#define GR_FNT_CBR29 GR_FNT_EMPTY
#define GR_FNT_CBR30 GR_FNT_EMPTY
#define GR_FNT_CBR31 GR_FNT_EMPTY
#define GR_FNT_CBR32 GR_FNT_EMPTY
#define GR_FNT_CBR33 GR_FNT_EMPTY
#define GR_FNT_CBR34 GR_FNT_EMPTY
#define GR_FNT_CBR35 GR_FNT_EMPTY
#define GR_FNT_CBR36 GR_FNT_EMPTY
#define GR_FNT_CBR37 GR_FNT_EMPTY
#define GR_FNT_CBR38 GR_FNT_EMPTY
#define GR_FNT_CBR39 GR_FNT_EMPTY
#define GR_FNT_CBR40 GR_FNT_EMPTY

#define GR_FNT_CBI0 GR_FNT_EMPTY
#define GR_FNT_CBI1 GR_FNT_EMPTY
#define GR_FNT_CBI2 GR_FNT_EMPTY
#define GR_FNT_CBI3 GR_FNT_EMPTY
#define GR_FNT_CBI4 GR_FNT_EMPTY
#define GR_FNT_CBI5 GR_FNT_EMPTY
#define GR_FNT_CBI6 GR_FNT_EMPTY
#define GR_FNT_CBI7 GR_FNT_EMPTY
#define GR_FNT_CBI8 X11_CBI8
#define GR_FNT_CBI9 GR_FNT_EMPTY
#define GR_FNT_CBI10 X11_CBI10
#define GR_FNT_CBI11 GR_FNT_EMPTY
#define GR_FNT_CBI12 X11_CBI12
#define GR_FNT_CBI13 GR_FNT_EMPTY
#define GR_FNT_CBI14 X11_CBI14
#define GR_FNT_CBI15 GR_FNT_EMPTY
#define GR_FNT_CBI16 GR_FNT_EMPTY
#define GR_FNT_CBI17 GR_FNT_EMPTY
#define GR_FNT_CBI18 X11_CBI18
#define GR_FNT_CBI19 GR_FNT_EMPTY
#define GR_FNT_CBI20 GR_FNT_EMPTY
#define GR_FNT_CBI21 GR_FNT_EMPTY
#define GR_FNT_CBI22 GR_FNT_EMPTY
#define GR_FNT_CBI23 GR_FNT_EMPTY
#define GR_FNT_CBI24 X11_CBI24
#define GR_FNT_CBI25 GR_FNT_EMPTY
#define GR_FNT_CBI26 GR_FNT_EMPTY
#define GR_FNT_CBI27 GR_FNT_EMPTY
#define GR_FNT_CBI28 GR_FNT_EMPTY
#define GR_FNT_CBI29 GR_FNT_EMPTY
#define GR_FNT_CBI30 GR_FNT_EMPTY
#define GR_FNT_CBI31 GR_FNT_EMPTY
#define GR_FNT_CBI32 GR_FNT_EMPTY
#define GR_FNT_CBI33 GR_FNT_EMPTY
#define GR_FNT_CBI34 GR_FNT_EMPTY
#define GR_FNT_CBI35 GR_FNT_EMPTY
#define GR_FNT_CBI36 GR_FNT_EMPTY
#define GR_FNT_CBI37 GR_FNT_EMPTY
#define GR_FNT_CBI38 GR_FNT_EMPTY
#define GR_FNT_CBI39 GR_FNT_EMPTY
#define GR_FNT_CBI40 GR_FNT_EMPTY

#define GR_FNT_HMR0 GR_FNT_EMPTY
#define GR_FNT_HMR1 GR_FNT_EMPTY
#define GR_FNT_HMR2 GR_FNT_EMPTY
#define GR_FNT_HMR3 GR_FNT_EMPTY
#define GR_FNT_HMR4 GR_FNT_EMPTY
#define GR_FNT_HMR5 GR_FNT_EMPTY
#define GR_FNT_HMR6 GR_FNT_EMPTY
#define GR_FNT_HMR7 GR_FNT_EMPTY
#define GR_FNT_HMR8 X11_HMR8
#define GR_FNT_HMR9 GR_FNT_EMPTY
#define GR_FNT_HMR10 X11_HMR10
#define GR_FNT_HMR11 GR_FNT_EMPTY
#define GR_FNT_HMR12 X11_HMR12
#define GR_FNT_HMR13 GR_FNT_EMPTY
#define GR_FNT_HMR14 X11_HMR14
#define GR_FNT_HMR15 GR_FNT_EMPTY
#define GR_FNT_HMR16 GR_FNT_EMPTY
#define GR_FNT_HMR17 GR_FNT_EMPTY
#define GR_FNT_HMR18 X11_HMR18
#define GR_FNT_HMR19 GR_FNT_EMPTY
#define GR_FNT_HMR20 GR_FNT_EMPTY
#define GR_FNT_HMR21 GR_FNT_EMPTY
#define GR_FNT_HMR22 GR_FNT_EMPTY
#define GR_FNT_HMR23 GR_FNT_EMPTY
#define GR_FNT_HMR24 X11_HMR24
#define GR_FNT_HMR25 GR_FNT_EMPTY
#define GR_FNT_HMR26 GR_FNT_EMPTY
#define GR_FNT_HMR27 GR_FNT_EMPTY
#define GR_FNT_HMR28 GR_FNT_EMPTY
#define GR_FNT_HMR29 GR_FNT_EMPTY
#define GR_FNT_HMR30 GR_FNT_EMPTY
#define GR_FNT_HMR31 GR_FNT_EMPTY
#define GR_FNT_HMR32 GR_FNT_EMPTY
#define GR_FNT_HMR33 GR_FNT_EMPTY
#define GR_FNT_HMR34 GR_FNT_EMPTY
#define GR_FNT_HMR35 GR_FNT_EMPTY
#define GR_FNT_HMR36 GR_FNT_EMPTY
#define GR_FNT_HMR37 GR_FNT_EMPTY
#define GR_FNT_HMR38 GR_FNT_EMPTY
#define GR_FNT_HMR39 GR_FNT_EMPTY
#define GR_FNT_HMR40 GR_FNT_EMPTY

#define GR_FNT_HMI0 GR_FNT_EMPTY
#define GR_FNT_HMI1 GR_FNT_EMPTY
#define GR_FNT_HMI2 GR_FNT_EMPTY
#define GR_FNT_HMI3 GR_FNT_EMPTY
#define GR_FNT_HMI4 GR_FNT_EMPTY
#define GR_FNT_HMI5 GR_FNT_EMPTY
#define GR_FNT_HMI6 GR_FNT_EMPTY
#define GR_FNT_HMI7 GR_FNT_EMPTY
#define GR_FNT_HMI8 X11_HMI8
#define GR_FNT_HMI9 GR_FNT_EMPTY
#define GR_FNT_HMI10 X11_HMI10
#define GR_FNT_HMI11 GR_FNT_EMPTY
#define GR_FNT_HMI12 X11_HMI12
#define GR_FNT_HMI13 GR_FNT_EMPTY
#define GR_FNT_HMI14 X11_HMI14
#define GR_FNT_HMI15 GR_FNT_EMPTY
#define GR_FNT_HMI16 GR_FNT_EMPTY
#define GR_FNT_HMI17 GR_FNT_EMPTY
#define GR_FNT_HMI18 X11_HMI18
#define GR_FNT_HMI19 GR_FNT_EMPTY
#define GR_FNT_HMI20 GR_FNT_EMPTY
#define GR_FNT_HMI21 GR_FNT_EMPTY
#define GR_FNT_HMI22 GR_FNT_EMPTY
#define GR_FNT_HMI23 GR_FNT_EMPTY
#define GR_FNT_HMI24 X11_HMI24
#define GR_FNT_HMI25 GR_FNT_EMPTY
#define GR_FNT_HMI26 GR_FNT_EMPTY
#define GR_FNT_HMI27 GR_FNT_EMPTY
#define GR_FNT_HMI28 GR_FNT_EMPTY
#define GR_FNT_HMI29 GR_FNT_EMPTY
#define GR_FNT_HMI30 GR_FNT_EMPTY
#define GR_FNT_HMI31 GR_FNT_EMPTY
#define GR_FNT_HMI32 GR_FNT_EMPTY
#define GR_FNT_HMI33 GR_FNT_EMPTY
#define GR_FNT_HMI34 GR_FNT_EMPTY
#define GR_FNT_HMI35 GR_FNT_EMPTY
#define GR_FNT_HMI36 GR_FNT_EMPTY
#define GR_FNT_HMI37 GR_FNT_EMPTY
#define GR_FNT_HMI38 GR_FNT_EMPTY
#define GR_FNT_HMI39 GR_FNT_EMPTY
#define GR_FNT_HMI40 GR_FNT_EMPTY

#define GR_FNT_HBR0 GR_FNT_EMPTY
#define GR_FNT_HBR1 GR_FNT_EMPTY
#define GR_FNT_HBR2 GR_FNT_EMPTY
#define GR_FNT_HBR3 GR_FNT_EMPTY
#define GR_FNT_HBR4 GR_FNT_EMPTY
#define GR_FNT_HBR5 GR_FNT_EMPTY
#define GR_FNT_HBR6 GR_FNT_EMPTY
#define GR_FNT_HBR7 GR_FNT_EMPTY
#define GR_FNT_HBR8 X11_HBR8
#define GR_FNT_HBR9 GR_FNT_EMPTY
#define GR_FNT_HBR10 X11_HBR10
#define GR_FNT_HBR11 GR_FNT_EMPTY
#define GR_FNT_HBR12 X11_HBR12
#define GR_FNT_HBR13 GR_FNT_EMPTY
#define GR_FNT_HBR14 X11_HBR14
#define GR_FNT_HBR15 GR_FNT_EMPTY
#define GR_FNT_HBR16 GR_FNT_EMPTY
#define GR_FNT_HBR17 GR_FNT_EMPTY
#define GR_FNT_HBR18 X11_HBR18
#define GR_FNT_HBR19 GR_FNT_EMPTY
#define GR_FNT_HBR20 GR_FNT_EMPTY
#define GR_FNT_HBR21 GR_FNT_EMPTY
#define GR_FNT_HBR22 GR_FNT_EMPTY
#define GR_FNT_HBR23 GR_FNT_EMPTY
#define GR_FNT_HBR24 X11_HBR24
#define GR_FNT_HBR25 GR_FNT_EMPTY
#define GR_FNT_HBR26 GR_FNT_EMPTY
#define GR_FNT_HBR27 GR_FNT_EMPTY
#define GR_FNT_HBR28 GR_FNT_EMPTY
#define GR_FNT_HBR29 GR_FNT_EMPTY
#define GR_FNT_HBR30 GR_FNT_EMPTY
#define GR_FNT_HBR31 GR_FNT_EMPTY
#define GR_FNT_HBR32 GR_FNT_EMPTY
#define GR_FNT_HBR33 GR_FNT_EMPTY
#define GR_FNT_HBR34 GR_FNT_EMPTY
#define GR_FNT_HBR35 GR_FNT_EMPTY
#define GR_FNT_HBR36 GR_FNT_EMPTY
#define GR_FNT_HBR37 GR_FNT_EMPTY
#define GR_FNT_HBR38 GR_FNT_EMPTY
#define GR_FNT_HBR39 GR_FNT_EMPTY
#define GR_FNT_HBR40 GR_FNT_EMPTY

#define GR_FNT_HBI0 GR_FNT_EMPTY
#define GR_FNT_HBI1 GR_FNT_EMPTY
#define GR_FNT_HBI2 GR_FNT_EMPTY
#define GR_FNT_HBI3 GR_FNT_EMPTY
#define GR_FNT_HBI4 GR_FNT_EMPTY
#define GR_FNT_HBI5 GR_FNT_EMPTY
#define GR_FNT_HBI6 GR_FNT_EMPTY
#define GR_FNT_HBI7 GR_FNT_EMPTY
#define GR_FNT_HBI8 X11_HBI8
#define GR_FNT_HBI9 GR_FNT_EMPTY
#define GR_FNT_HBI10 X11_HBI10
#define GR_FNT_HBI11 GR_FNT_EMPTY
#define GR_FNT_HBI12 X11_HBI12
#define GR_FNT_HBI13 GR_FNT_EMPTY
#define GR_FNT_HBI14 X11_HBI14
#define GR_FNT_HBI15 GR_FNT_EMPTY
#define GR_FNT_HBI16 GR_FNT_EMPTY
#define GR_FNT_HBI17 GR_FNT_EMPTY
#define GR_FNT_HBI18 X11_HBI18
#define GR_FNT_HBI19 GR_FNT_EMPTY
#define GR_FNT_HBI20 GR_FNT_EMPTY
#define GR_FNT_HBI21 GR_FNT_EMPTY
#define GR_FNT_HBI22 GR_FNT_EMPTY
#define GR_FNT_HBI23 GR_FNT_EMPTY
#define GR_FNT_HBI24 X11_HBI24
#define GR_FNT_HBI25 GR_FNT_EMPTY
#define GR_FNT_HBI26 GR_FNT_EMPTY
#define GR_FNT_HBI27 GR_FNT_EMPTY
#define GR_FNT_HBI28 GR_FNT_EMPTY
#define GR_FNT_HBI29 GR_FNT_EMPTY
#define GR_FNT_HBI30 GR_FNT_EMPTY
#define GR_FNT_HBI31 GR_FNT_EMPTY
#define GR_FNT_HBI32 GR_FNT_EMPTY
#define GR_FNT_HBI33 GR_FNT_EMPTY
#define GR_FNT_HBI34 GR_FNT_EMPTY
#define GR_FNT_HBI35 GR_FNT_EMPTY
#define GR_FNT_HBI36 GR_FNT_EMPTY
#define GR_FNT_HBI37 GR_FNT_EMPTY
#define GR_FNT_HBI38 GR_FNT_EMPTY
#define GR_FNT_HBI39 GR_FNT_EMPTY
#define GR_FNT_HBI40 GR_FNT_EMPTY

#define GR_FNT_NCMR0 GR_FNT_EMPTY
#define GR_FNT_NCMR1 GR_FNT_EMPTY
#define GR_FNT_NCMR2 GR_FNT_EMPTY
#define GR_FNT_NCMR3 GR_FNT_EMPTY
#define GR_FNT_NCMR4 GR_FNT_EMPTY
#define GR_FNT_NCMR5 GR_FNT_EMPTY
#define GR_FNT_NCMR6 GR_FNT_EMPTY
#define GR_FNT_NCMR7 GR_FNT_EMPTY
#define GR_FNT_NCMR8 X11_NCMR8
#define GR_FNT_NCMR9 GR_FNT_EMPTY
#define GR_FNT_NCMR10 X11_NCMR10
#define GR_FNT_NCMR11 GR_FNT_EMPTY
#define GR_FNT_NCMR12 X11_NCMR12
#define GR_FNT_NCMR13 GR_FNT_EMPTY
#define GR_FNT_NCMR14 X11_NCMR14
#define GR_FNT_NCMR15 GR_FNT_EMPTY
#define GR_FNT_NCMR16 GR_FNT_EMPTY
#define GR_FNT_NCMR17 GR_FNT_EMPTY
#define GR_FNT_NCMR18 X11_NCMR18
#define GR_FNT_NCMR19 GR_FNT_EMPTY
#define GR_FNT_NCMR20 GR_FNT_EMPTY
#define GR_FNT_NCMR21 GR_FNT_EMPTY
#define GR_FNT_NCMR22 GR_FNT_EMPTY
#define GR_FNT_NCMR23 GR_FNT_EMPTY
#define GR_FNT_NCMR24 X11_NCMR24
#define GR_FNT_NCMR25 GR_FNT_EMPTY
#define GR_FNT_NCMR26 GR_FNT_EMPTY
#define GR_FNT_NCMR27 GR_FNT_EMPTY
#define GR_FNT_NCMR28 GR_FNT_EMPTY
#define GR_FNT_NCMR29 GR_FNT_EMPTY
#define GR_FNT_NCMR30 GR_FNT_EMPTY
#define GR_FNT_NCMR31 GR_FNT_EMPTY
#define GR_FNT_NCMR32 GR_FNT_EMPTY
#define GR_FNT_NCMR33 GR_FNT_EMPTY
#define GR_FNT_NCMR34 GR_FNT_EMPTY
#define GR_FNT_NCMR35 GR_FNT_EMPTY
#define GR_FNT_NCMR36 GR_FNT_EMPTY
#define GR_FNT_NCMR37 GR_FNT_EMPTY
#define GR_FNT_NCMR38 GR_FNT_EMPTY
#define GR_FNT_NCMR39 GR_FNT_EMPTY
#define GR_FNT_NCMR40 GR_FNT_EMPTY

#define GR_FNT_NCMI0 GR_FNT_EMPTY
#define GR_FNT_NCMI1 GR_FNT_EMPTY
#define GR_FNT_NCMI2 GR_FNT_EMPTY
#define GR_FNT_NCMI3 GR_FNT_EMPTY
#define GR_FNT_NCMI4 GR_FNT_EMPTY
#define GR_FNT_NCMI5 GR_FNT_EMPTY
#define GR_FNT_NCMI6 GR_FNT_EMPTY
#define GR_FNT_NCMI7 GR_FNT_EMPTY
#define GR_FNT_NCMI8 X11_NCMI8
#define GR_FNT_NCMI9 GR_FNT_EMPTY
#define GR_FNT_NCMI10 X11_NCMI10
#define GR_FNT_NCMI11 GR_FNT_EMPTY
#define GR_FNT_NCMI12 X11_NCMI12
#define GR_FNT_NCMI13 GR_FNT_EMPTY
#define GR_FNT_NCMI14 X11_NCMI14
#define GR_FNT_NCMI15 GR_FNT_EMPTY
#define GR_FNT_NCMI16 GR_FNT_EMPTY
#define GR_FNT_NCMI17 GR_FNT_EMPTY
#define GR_FNT_NCMI18 X11_NCMI18
#define GR_FNT_NCMI19 GR_FNT_EMPTY
#define GR_FNT_NCMI20 GR_FNT_EMPTY
#define GR_FNT_NCMI21 GR_FNT_EMPTY
#define GR_FNT_NCMI22 GR_FNT_EMPTY
#define GR_FNT_NCMI23 GR_FNT_EMPTY
#define GR_FNT_NCMI24 X11_NCMI24
#define GR_FNT_NCMI25 GR_FNT_EMPTY
#define GR_FNT_NCMI26 GR_FNT_EMPTY
#define GR_FNT_NCMI27 GR_FNT_EMPTY
#define GR_FNT_NCMI28 GR_FNT_EMPTY
#define GR_FNT_NCMI29 GR_FNT_EMPTY
#define GR_FNT_NCMI30 GR_FNT_EMPTY
#define GR_FNT_NCMI31 GR_FNT_EMPTY
#define GR_FNT_NCMI32 GR_FNT_EMPTY
#define GR_FNT_NCMI33 GR_FNT_EMPTY
#define GR_FNT_NCMI34 GR_FNT_EMPTY
#define GR_FNT_NCMI35 GR_FNT_EMPTY
#define GR_FNT_NCMI36 GR_FNT_EMPTY
#define GR_FNT_NCMI37 GR_FNT_EMPTY
#define GR_FNT_NCMI38 GR_FNT_EMPTY
#define GR_FNT_NCMI39 GR_FNT_EMPTY
#define GR_FNT_NCMI40 GR_FNT_EMPTY

#define GR_FNT_NCBR0 GR_FNT_EMPTY
#define GR_FNT_NCBR1 GR_FNT_EMPTY
#define GR_FNT_NCBR2 GR_FNT_EMPTY
#define GR_FNT_NCBR3 GR_FNT_EMPTY
#define GR_FNT_NCBR4 GR_FNT_EMPTY
#define GR_FNT_NCBR5 GR_FNT_EMPTY
#define GR_FNT_NCBR6 GR_FNT_EMPTY
#define GR_FNT_NCBR7 GR_FNT_EMPTY
#define GR_FNT_NCBR8 X11_NCBR8
#define GR_FNT_NCBR9 GR_FNT_EMPTY
#define GR_FNT_NCBR10 X11_NCBR10
#define GR_FNT_NCBR11 GR_FNT_EMPTY
#define GR_FNT_NCBR12 X11_NCBR12
#define GR_FNT_NCBR13 GR_FNT_EMPTY
#define GR_FNT_NCBR14 X11_NCBR14
#define GR_FNT_NCBR15 GR_FNT_EMPTY
#define GR_FNT_NCBR16 GR_FNT_EMPTY
#define GR_FNT_NCBR17 GR_FNT_EMPTY
#define GR_FNT_NCBR18 X11_NCBR18
#define GR_FNT_NCBR19 GR_FNT_EMPTY
#define GR_FNT_NCBR20 GR_FNT_EMPTY
#define GR_FNT_NCBR21 GR_FNT_EMPTY
#define GR_FNT_NCBR22 GR_FNT_EMPTY
#define GR_FNT_NCBR23 GR_FNT_EMPTY
#define GR_FNT_NCBR24 X11_NCBR24
#define GR_FNT_NCBR25 GR_FNT_EMPTY
#define GR_FNT_NCBR26 GR_FNT_EMPTY
#define GR_FNT_NCBR27 GR_FNT_EMPTY
#define GR_FNT_NCBR28 GR_FNT_EMPTY
#define GR_FNT_NCBR29 GR_FNT_EMPTY
#define GR_FNT_NCBR30 GR_FNT_EMPTY
#define GR_FNT_NCBR31 GR_FNT_EMPTY
#define GR_FNT_NCBR32 GR_FNT_EMPTY
#define GR_FNT_NCBR33 GR_FNT_EMPTY
#define GR_FNT_NCBR34 GR_FNT_EMPTY
#define GR_FNT_NCBR35 GR_FNT_EMPTY
#define GR_FNT_NCBR36 GR_FNT_EMPTY
#define GR_FNT_NCBR37 GR_FNT_EMPTY
#define GR_FNT_NCBR38 GR_FNT_EMPTY
#define GR_FNT_NCBR39 GR_FNT_EMPTY
#define GR_FNT_NCBR40 GR_FNT_EMPTY

#define GR_FNT_NCBI0 GR_FNT_EMPTY
#define GR_FNT_NCBI1 GR_FNT_EMPTY
#define GR_FNT_NCBI2 GR_FNT_EMPTY
#define GR_FNT_NCBI3 GR_FNT_EMPTY
#define GR_FNT_NCBI4 GR_FNT_EMPTY
#define GR_FNT_NCBI5 GR_FNT_EMPTY
#define GR_FNT_NCBI6 GR_FNT_EMPTY
#define GR_FNT_NCBI7 GR_FNT_EMPTY
#define GR_FNT_NCBI8 X11_NCBI8
#define GR_FNT_NCBI9 GR_FNT_EMPTY
#define GR_FNT_NCBI10 X11_NCBI10
#define GR_FNT_NCBI11 GR_FNT_EMPTY
#define GR_FNT_NCBI12 X11_NCBI12
#define GR_FNT_NCBI13 GR_FNT_EMPTY
#define GR_FNT_NCBI14 X11_NCBI14
#define GR_FNT_NCBI15 GR_FNT_EMPTY
#define GR_FNT_NCBI16 GR_FNT_EMPTY
#define GR_FNT_NCBI17 GR_FNT_EMPTY
#define GR_FNT_NCBI18 X11_NCBI18
#define GR_FNT_NCBI19 GR_FNT_EMPTY
#define GR_FNT_NCBI20 GR_FNT_EMPTY
#define GR_FNT_NCBI21 GR_FNT_EMPTY
#define GR_FNT_NCBI22 GR_FNT_EMPTY
#define GR_FNT_NCBI23 GR_FNT_EMPTY
#define GR_FNT_NCBI24 X11_NCBI24
#define GR_FNT_NCBI25 GR_FNT_EMPTY
#define GR_FNT_NCBI26 GR_FNT_EMPTY
#define GR_FNT_NCBI27 GR_FNT_EMPTY
#define GR_FNT_NCBI28 GR_FNT_EMPTY
#define GR_FNT_NCBI29 GR_FNT_EMPTY
#define GR_FNT_NCBI30 GR_FNT_EMPTY
#define GR_FNT_NCBI31 GR_FNT_EMPTY
#define GR_FNT_NCBI32 GR_FNT_EMPTY
#define GR_FNT_NCBI33 GR_FNT_EMPTY
#define GR_FNT_NCBI34 GR_FNT_EMPTY
#define GR_FNT_NCBI35 GR_FNT_EMPTY
#define GR_FNT_NCBI36 GR_FNT_EMPTY
#define GR_FNT_NCBI37 GR_FNT_EMPTY
#define GR_FNT_NCBI38 GR_FNT_EMPTY
#define GR_FNT_NCBI39 GR_FNT_EMPTY
#define GR_FNT_NCBI40 GR_FNT_EMPTY

#define GR_FNT_TMR0 GR_FNT_EMPTY
#define GR_FNT_TMR1 GR_FNT_EMPTY
#define GR_FNT_TMR2 GR_FNT_EMPTY
#define GR_FNT_TMR3 GR_FNT_EMPTY
#define GR_FNT_TMR4 GR_FNT_EMPTY
#define GR_FNT_TMR5 GR_FNT_EMPTY
#define GR_FNT_TMR6 GR_FNT_EMPTY
#define GR_FNT_TMR7 GR_FNT_EMPTY
#define GR_FNT_TMR8 X11_TMR8
#define GR_FNT_TMR9 GR_FNT_EMPTY
#define GR_FNT_TMR10 X11_TMR10
#define GR_FNT_TMR11 GR_FNT_EMPTY
#define GR_FNT_TMR12 X11_TMR12
#define GR_FNT_TMR13 GR_FNT_EMPTY
#define GR_FNT_TMR14 X11_TMR14
#define GR_FNT_TMR15 GR_FNT_EMPTY
#define GR_FNT_TMR16 GR_FNT_EMPTY
#define GR_FNT_TMR17 GR_FNT_EMPTY
#define GR_FNT_TMR18 X11_TMR18
#define GR_FNT_TMR19 GR_FNT_EMPTY
#define GR_FNT_TMR20 GR_FNT_EMPTY
#define GR_FNT_TMR21 GR_FNT_EMPTY
#define GR_FNT_TMR22 GR_FNT_EMPTY
#define GR_FNT_TMR23 GR_FNT_EMPTY
#define GR_FNT_TMR24 X11_TMR24
#define GR_FNT_TMR25 GR_FNT_EMPTY
#define GR_FNT_TMR26 GR_FNT_EMPTY
#define GR_FNT_TMR27 GR_FNT_EMPTY
#define GR_FNT_TMR28 GR_FNT_EMPTY
#define GR_FNT_TMR29 GR_FNT_EMPTY
#define GR_FNT_TMR30 GR_FNT_EMPTY
#define GR_FNT_TMR31 GR_FNT_EMPTY
#define GR_FNT_TMR32 GR_FNT_EMPTY
#define GR_FNT_TMR33 GR_FNT_EMPTY
#define GR_FNT_TMR34 GR_FNT_EMPTY
#define GR_FNT_TMR35 GR_FNT_EMPTY
#define GR_FNT_TMR36 GR_FNT_EMPTY
#define GR_FNT_TMR37 GR_FNT_EMPTY
#define GR_FNT_TMR38 GR_FNT_EMPTY
#define GR_FNT_TMR39 GR_FNT_EMPTY
#define GR_FNT_TMR40 GR_FNT_EMPTY

#define GR_FNT_TMI0 GR_FNT_EMPTY
#define GR_FNT_TMI1 GR_FNT_EMPTY
#define GR_FNT_TMI2 GR_FNT_EMPTY
#define GR_FNT_TMI3 GR_FNT_EMPTY
#define GR_FNT_TMI4 GR_FNT_EMPTY
#define GR_FNT_TMI5 GR_FNT_EMPTY
#define GR_FNT_TMI6 GR_FNT_EMPTY
#define GR_FNT_TMI7 GR_FNT_EMPTY
#define GR_FNT_TMI8 X11_TMI8
#define GR_FNT_TMI9 GR_FNT_EMPTY
#define GR_FNT_TMI10 X11_TMI10
#define GR_FNT_TMI11 GR_FNT_EMPTY
#define GR_FNT_TMI12 X11_TMI12
#define GR_FNT_TMI13 GR_FNT_EMPTY
#define GR_FNT_TMI14 X11_TMI14
#define GR_FNT_TMI15 GR_FNT_EMPTY
#define GR_FNT_TMI16 GR_FNT_EMPTY
#define GR_FNT_TMI17 GR_FNT_EMPTY
#define GR_FNT_TMI18 X11_TMI18
#define GR_FNT_TMI19 GR_FNT_EMPTY
#define GR_FNT_TMI20 GR_FNT_EMPTY
#define GR_FNT_TMI21 GR_FNT_EMPTY
#define GR_FNT_TMI22 GR_FNT_EMPTY
#define GR_FNT_TMI23 GR_FNT_EMPTY
#define GR_FNT_TMI24 X11_TMI24
#define GR_FNT_TMI25 GR_FNT_EMPTY
#define GR_FNT_TMI26 GR_FNT_EMPTY
#define GR_FNT_TMI27 GR_FNT_EMPTY
#define GR_FNT_TMI28 GR_FNT_EMPTY
#define GR_FNT_TMI29 GR_FNT_EMPTY
#define GR_FNT_TMI30 GR_FNT_EMPTY
#define GR_FNT_TMI31 GR_FNT_EMPTY
#define GR_FNT_TMI32 GR_FNT_EMPTY
#define GR_FNT_TMI33 GR_FNT_EMPTY
#define GR_FNT_TMI34 GR_FNT_EMPTY
#define GR_FNT_TMI35 GR_FNT_EMPTY
#define GR_FNT_TMI36 GR_FNT_EMPTY
#define GR_FNT_TMI37 GR_FNT_EMPTY
#define GR_FNT_TMI38 GR_FNT_EMPTY
#define GR_FNT_TMI39 GR_FNT_EMPTY
#define GR_FNT_TMI40 GR_FNT_EMPTY

#define GR_FNT_TBR0 GR_FNT_EMPTY
#define GR_FNT_TBR1 GR_FNT_EMPTY
#define GR_FNT_TBR2 GR_FNT_EMPTY
#define GR_FNT_TBR3 GR_FNT_EMPTY
#define GR_FNT_TBR4 GR_FNT_EMPTY
#define GR_FNT_TBR5 GR_FNT_EMPTY
#define GR_FNT_TBR6 GR_FNT_EMPTY
#define GR_FNT_TBR7 GR_FNT_EMPTY
#define GR_FNT_TBR8 X11_TBR8
#define GR_FNT_TBR9 GR_FNT_EMPTY
#define GR_FNT_TBR10 X11_TBR10
#define GR_FNT_TBR11 GR_FNT_EMPTY
#define GR_FNT_TBR12 X11_TBR12
#define GR_FNT_TBR13 GR_FNT_EMPTY
#define GR_FNT_TBR14 X11_TBR14
#define GR_FNT_TBR15 GR_FNT_EMPTY
#define GR_FNT_TBR16 GR_FNT_EMPTY
#define GR_FNT_TBR17 GR_FNT_EMPTY
#define GR_FNT_TBR18 X11_TBR18
#define GR_FNT_TBR19 GR_FNT_EMPTY
#define GR_FNT_TBR20 GR_FNT_EMPTY
#define GR_FNT_TBR21 GR_FNT_EMPTY
#define GR_FNT_TBR22 GR_FNT_EMPTY
#define GR_FNT_TBR23 GR_FNT_EMPTY
#define GR_FNT_TBR24 X11_TBR24
#define GR_FNT_TBR25 GR_FNT_EMPTY
#define GR_FNT_TBR26 GR_FNT_EMPTY
#define GR_FNT_TBR27 GR_FNT_EMPTY
#define GR_FNT_TBR28 GR_FNT_EMPTY
#define GR_FNT_TBR29 GR_FNT_EMPTY
#define GR_FNT_TBR30 GR_FNT_EMPTY
#define GR_FNT_TBR31 GR_FNT_EMPTY
#define GR_FNT_TBR32 GR_FNT_EMPTY
#define GR_FNT_TBR33 GR_FNT_EMPTY
#define GR_FNT_TBR34 GR_FNT_EMPTY
#define GR_FNT_TBR35 GR_FNT_EMPTY
#define GR_FNT_TBR36 GR_FNT_EMPTY
#define GR_FNT_TBR37 GR_FNT_EMPTY
#define GR_FNT_TBR38 GR_FNT_EMPTY
#define GR_FNT_TBR39 GR_FNT_EMPTY
#define GR_FNT_TBR40 GR_FNT_EMPTY

#define GR_FNT_TBI0 GR_FNT_EMPTY
#define GR_FNT_TBI1 GR_FNT_EMPTY
#define GR_FNT_TBI2 GR_FNT_EMPTY
#define GR_FNT_TBI3 GR_FNT_EMPTY
#define GR_FNT_TBI4 GR_FNT_EMPTY
#define GR_FNT_TBI5 GR_FNT_EMPTY
#define GR_FNT_TBI6 GR_FNT_EMPTY
#define GR_FNT_TBI7 GR_FNT_EMPTY
#define GR_FNT_TBI8 X11_TBI8
#define GR_FNT_TBI9 GR_FNT_EMPTY
#define GR_FNT_TBI10 X11_TBI10
#define GR_FNT_TBI11 GR_FNT_EMPTY
#define GR_FNT_TBI12 X11_TBI12
#define GR_FNT_TBI13 GR_FNT_EMPTY
#define GR_FNT_TBI14 X11_TBI14
#define GR_FNT_TBI15 GR_FNT_EMPTY
#define GR_FNT_TBI16 GR_FNT_EMPTY
#define GR_FNT_TBI17 GR_FNT_EMPTY
#define GR_FNT_TBI18 X11_TBI18
#define GR_FNT_TBI19 GR_FNT_EMPTY
#define GR_FNT_TBI20 GR_FNT_EMPTY
#define GR_FNT_TBI21 GR_FNT_EMPTY
#define GR_FNT_TBI22 GR_FNT_EMPTY
#define GR_FNT_TBI23 GR_FNT_EMPTY
#define GR_FNT_TBI24 X11_TBI24
#define GR_FNT_TBI25 GR_FNT_EMPTY
#define GR_FNT_TBI26 GR_FNT_EMPTY
#define GR_FNT_TBI27 GR_FNT_EMPTY
#define GR_FNT_TBI28 GR_FNT_EMPTY
#define GR_FNT_TBI29 GR_FNT_EMPTY
#define GR_FNT_TBI30 GR_FNT_EMPTY
#define GR_FNT_TBI31 GR_FNT_EMPTY
#define GR_FNT_TBI32 GR_FNT_EMPTY
#define GR_FNT_TBI33 GR_FNT_EMPTY
#define GR_FNT_TBI34 GR_FNT_EMPTY
#define GR_FNT_TBI35 GR_FNT_EMPTY
#define GR_FNT_TBI36 GR_FNT_EMPTY
#define GR_FNT_TBI37 GR_FNT_EMPTY
#define GR_FNT_TBI38 GR_FNT_EMPTY
#define GR_FNT_TBI39 GR_FNT_EMPTY
#define GR_FNT_TBI40 GR_FNT_EMPTY

#define GR_FNT_SMR0 GR_FNT_EMPTY
#define GR_FNT_SMR1 GR_FNT_EMPTY
#define GR_FNT_SMR2 GR_FNT_EMPTY
#define GR_FNT_SMR3 GR_FNT_EMPTY
#define GR_FNT_SMR4 GR_FNT_EMPTY
#define GR_FNT_SMR5 GR_FNT_EMPTY
#define GR_FNT_SMR6 GR_FNT_EMPTY
#define GR_FNT_SMR7 GR_FNT_EMPTY
#define GR_FNT_SMR8 X11_SMR8
#define GR_FNT_SMR9 GR_FNT_EMPTY
#define GR_FNT_SMR10 X11_SMR10
#define GR_FNT_SMR11 GR_FNT_EMPTY
#define GR_FNT_SMR12 X11_SMR12
#define GR_FNT_SMR13 GR_FNT_EMPTY
#define GR_FNT_SMR14 X11_SMR14
#define GR_FNT_SMR15 GR_FNT_EMPTY
#define GR_FNT_SMR16 GR_FNT_EMPTY
#define GR_FNT_SMR17 GR_FNT_EMPTY
#define GR_FNT_SMR18 X11_SMR18
#define GR_FNT_SMR19 GR_FNT_EMPTY
#define GR_FNT_SMR20 GR_FNT_EMPTY
#define GR_FNT_SMR21 GR_FNT_EMPTY
#define GR_FNT_SMR22 GR_FNT_EMPTY
#define GR_FNT_SMR23 GR_FNT_EMPTY
#define GR_FNT_SMR24 X11_SMR24
#define GR_FNT_SMR25 GR_FNT_EMPTY
#define GR_FNT_SMR26 GR_FNT_EMPTY
#define GR_FNT_SMR27 GR_FNT_EMPTY
#define GR_FNT_SMR28 GR_FNT_EMPTY
#define GR_FNT_SMR29 GR_FNT_EMPTY
#define GR_FNT_SMR30 GR_FNT_EMPTY
#define GR_FNT_SMR31 GR_FNT_EMPTY
#define GR_FNT_SMR32 GR_FNT_EMPTY
#define GR_FNT_SMR33 GR_FNT_EMPTY
#define GR_FNT_SMR34 GR_FNT_EMPTY
#define GR_FNT_SMR35 GR_FNT_EMPTY
#define GR_FNT_SMR36 GR_FNT_EMPTY
#define GR_FNT_SMR37 GR_FNT_EMPTY
#define GR_FNT_SMR38 GR_FNT_EMPTY
#define GR_FNT_SMR39 GR_FNT_EMPTY
#define GR_FNT_SMR40 GR_FNT_EMPTY

struct grFont_t {
  int family,weight,shape,size;
  XFontStruct *theFont;
};

#else

/**************** courier medium regular *******************/

#define DOS_CMR11 "@:cour11.fnt"
#define DOS_CMR12 "@:cour12.fnt"
#define DOS_CMR14 "@:cour14.fnt"
#define DOS_CMR16 "@:cour16.fnt"
#define DOS_CMR20 "@:cour20.fnt"
#define DOS_CMR25 "@:cour25.fnt"
#define DOS_CMR34 "@:cour34.fnt"

/**************** courier medium italic ********************/

#define DOS_CMI11 "@:cour11i.fnt"
#define DOS_CMI12 "@:cour12i.fnt"
#define DOS_CMI14 "@:cour14i.fnt"
#define DOS_CMI16 "@:cour16i.fnt"
#define DOS_CMI20 "@:cour20i.fnt"
#define DOS_CMI25 "@:cour25i.fnt"
#define DOS_CMI34 "@:cour34i.fnt"

/***************** courier bold regular ********************/

#define DOS_CBR11 "@:cour11b.fnt"
#define DOS_CBR12 "@:cour12b.fnt"
#define DOS_CBR14 "@:cour14b.fnt"
#define DOS_CBR16 "@:cour16b.fnt"
#define DOS_CBR20 "@:cour20b.fnt"
#define DOS_CBR25 "@:cour25b.fnt"
#define DOS_CBR34 "@:cour34b.fnt"

/****************** courier bold italic ********************/

#define DOS_CBI11 "@:cour11bi.fnt"
#define DOS_CBI12 "@:cour12bi.fnt"
#define DOS_CBI14 "@:cour14bi.fnt"
#define DOS_CBI16 "@:cour16bi.fnt"
#define DOS_CBI20 "@:cour20bi.fnt"
#define DOS_CBI25 "@:cour25bi.fnt"
#define DOS_CBI34 "@:cour34bi.fnt"

/*************** helvetica medium regular ******************/

#define DOS_HMR11 "@:helv11.fnt"
#define DOS_HMR13 "@:helv13.fnt"
#define DOS_HMR15 "@:helv15.fnt"
#define DOS_HMR17 "@:helv17.fnt"
#define DOS_HMR22 "@:helv22.fnt"
#define DOS_HMR29 "@:helv29.fnt"
#define DOS_HMR38 "@:helv38.fnt"

/**************** helvetica medium italic ******************/

#define DOS_HMI11 "@:helv11i.fnt"
#define DOS_HMI13 "@:helv13i.fnt"
#define DOS_HMI15 "@:helv15i.fnt"
#define DOS_HMI17 "@:helv17i.fnt"
#define DOS_HMI22 "@:helv22i.fnt"
#define DOS_HMI29 "@:helv29i.fnt"
#define DOS_HMI38 "@:helv38i.fnt"

/**************** helvetica bold regular *******************/

#define DOS_HBR11 "@:helv11b.fnt"
#define DOS_HBR13 "@:helv13b.fnt"
#define DOS_HBR15 "@:helv15b.fnt"
#define DOS_HBR17 "@:helv17b.fnt"
#define DOS_HBR22 "@:helv22b.fnt"
#define DOS_HBR29 "@:helv29b.fnt"
#define DOS_HBR38 "@:helv38b.fnt"

/***************** helvetica bold italic *******************/

#define DOS_HBI11 "@:helv11bi.fnt"
#define DOS_HBI13 "@:helv13bi.fnt"
#define DOS_HBI15 "@:helv15bi.fnt"
#define DOS_HBI17 "@:helv17bi.fnt"
#define DOS_HBI22 "@:helv22bi.fnt"
#define DOS_HBI29 "@:helv29bi.fnt"
#define DOS_HBI38 "@:helv38bi.fnt"

/********* new century schoolbook medium regular ***********/

#define DOS_NCMR11 "@:ncen11.fnt"
#define DOS_NCMR13 "@:ncen13.fnt"
#define DOS_NCMR15 "@:ncen15.fnt"
#define DOS_NCMR18 "@:ncen18.fnt"
#define DOS_NCMR22 "@:ncen22.fnt"
#define DOS_NCMR29 "@:ncen29.fnt"
#define DOS_NCMR40 "@:ncen40.fnt"

/********** new century schoolbook medium italic ***********/

#define DOS_NCMI11 "@:ncen11i.fnt"
#define DOS_NCMI13 "@:ncen13i.fnt"
#define DOS_NCMI15 "@:ncen15i.fnt"
#define DOS_NCMI18 "@:ncen18i.fnt"
#define DOS_NCMI22 "@:ncen22i.fnt"
#define DOS_NCMI29 "@:ncen29i.fnt"
#define DOS_NCMI40 "@:ncen40i.fnt"

/********** new century schoolbook bold regular ************/

#define DOS_NCBR11 "@:ncen11b.fnt"
#define DOS_NCBR13 "@:ncen13b.fnt"
#define DOS_NCBR15 "@:ncen15b.fnt"
#define DOS_NCBR18 "@:ncen18b.fnt"
#define DOS_NCBR22 "@:ncen22b.fnt"
#define DOS_NCBR29 "@:ncen29b.fnt"
#define DOS_NCBR40 "@:ncen40b.fnt"

/*********** new century schoolbook bold italic ************/

#define DOS_NCBI11 "@:ncen11bi.fnt"
#define DOS_NCBI13 "@:ncen13bi.fnt"
#define DOS_NCBI15 "@:ncen15bi.fnt"
#define DOS_NCBI18 "@:ncen18bi.fnt"
#define DOS_NCBI22 "@:ncen22bi.fnt"
#define DOS_NCBI29 "@:ncen29bi.fnt"
#define DOS_NCBI40 "@:ncen40bi.fnt"

/****************** times medium regular *******************/

#define DOS_TMR11 "@:tms11.fnt"
#define DOS_TMR13 "@:tms13.fnt"
#define DOS_TMR15 "@:tms15.fnt"
#define DOS_TMR18 "@:tms18.fnt"
#define DOS_TMR22 "@:tms22.fnt"
#define DOS_TMR29 "@:tms29.fnt"
#define DOS_TMR38 "@:tms38.fnt"

/******************* times medium italic *******************/

#define DOS_TMI11 "@:tms11i.fnt"
#define DOS_TMI13 "@:tms13i.fnt"
#define DOS_TMI15 "@:tms15i.fnt"
#define DOS_TMI18 "@:tms18i.fnt"
#define DOS_TMI22 "@:tms22i.fnt"
#define DOS_TMI29 "@:tms29i.fnt"
#define DOS_TMI38 "@:tms38i.fnt"

/******************* times bold regular ********************/

#define DOS_TBR11 "@:tms11b.fnt"
#define DOS_TBR13 "@:tms13b.fnt"
#define DOS_TBR15 "@:tms15b.fnt"
#define DOS_TBR18 "@:tms18b.fnt"
#define DOS_TBR22 "@:tms22b.fnt"
#define DOS_TBR29 "@:tms29b.fnt"
#define DOS_TBR38 "@:tms38b.fnt"

/******************** times bold italic ********************/

#define DOS_TBI11 "@:tms11bi.fnt"
#define DOS_TBI13 "@:tms13bi.fnt"
#define DOS_TBI15 "@:tms15bi.fnt"
#define DOS_TBI18 "@:tms18bi.fnt"
#define DOS_TBI22 "@:tms22bi.fnt"
#define DOS_TBI29 "@:tms29bi.fnt"
#define DOS_TBI38 "@:tms38bi.fnt"

/****************** symbol medium regular ******************/

#define DOS_SMR11 "@:symb11.fnt"
#define DOS_SMR14 "@:symb14.fnt"
#define DOS_SMR16 "@:symb16.fnt"
#define DOS_SMR20 "@:symb20.fnt"
#define DOS_SMR25 "@:symb25.fnt"
#define DOS_SMR32 "@:symb32.fnt"
#define DOS_SMR34 "@:symb34.fnt"

/******************* standard definitions ******************/

#define GR_FNT_CMR0 GR_FNT_EMPTY
#define GR_FNT_CMR1 GR_FNT_EMPTY
#define GR_FNT_CMR2 GR_FNT_EMPTY
#define GR_FNT_CMR3 GR_FNT_EMPTY
#define GR_FNT_CMR4 GR_FNT_EMPTY
#define GR_FNT_CMR5 GR_FNT_EMPTY
#define GR_FNT_CMR6 GR_FNT_EMPTY
#define GR_FNT_CMR7 GR_FNT_EMPTY
#define GR_FNT_CMR8 GR_FNT_EMPTY
#define GR_FNT_CMR9 GR_FNT_EMPTY
#define GR_FNT_CMR10 GR_FNT_EMPTY
#define GR_FNT_CMR11 DOS_CMR11
#define GR_FNT_CMR12 DOS_CMR12
#define GR_FNT_CMR13 GR_FNT_EMPTY
#define GR_FNT_CMR14 DOS_CMR14
#define GR_FNT_CMR15 GR_FNT_EMPTY
#define GR_FNT_CMR16 DOS_CMR16
#define GR_FNT_CMR17 GR_FNT_EMPTY
#define GR_FNT_CMR18 GR_FNT_EMPTY
#define GR_FNT_CMR19 GR_FNT_EMPTY
#define GR_FNT_CMR20 DOS_CMR20
#define GR_FNT_CMR21 GR_FNT_EMPTY
#define GR_FNT_CMR22 GR_FNT_EMPTY
#define GR_FNT_CMR23 GR_FNT_EMPTY
#define GR_FNT_CMR24 GR_FNT_EMPTY
#define GR_FNT_CMR25 DOS_CMR25
#define GR_FNT_CMR26 GR_FNT_EMPTY
#define GR_FNT_CMR27 GR_FNT_EMPTY
#define GR_FNT_CMR28 GR_FNT_EMPTY
#define GR_FNT_CMR29 GR_FNT_EMPTY
#define GR_FNT_CMR30 GR_FNT_EMPTY
#define GR_FNT_CMR31 GR_FNT_EMPTY
#define GR_FNT_CMR32 GR_FNT_EMPTY
#define GR_FNT_CMR33 GR_FNT_EMPTY
#define GR_FNT_CMR34 DOS_CMR34
#define GR_FNT_CMR35 GR_FNT_EMPTY
#define GR_FNT_CMR36 GR_FNT_EMPTY
#define GR_FNT_CMR37 GR_FNT_EMPTY
#define GR_FNT_CMR38 GR_FNT_EMPTY
#define GR_FNT_CMR39 GR_FNT_EMPTY
#define GR_FNT_CMR40 GR_FNT_EMPTY

#define GR_FNT_CMI0 GR_FNT_EMPTY
#define GR_FNT_CMI1 GR_FNT_EMPTY
#define GR_FNT_CMI2 GR_FNT_EMPTY
#define GR_FNT_CMI3 GR_FNT_EMPTY
#define GR_FNT_CMI4 GR_FNT_EMPTY
#define GR_FNT_CMI5 GR_FNT_EMPTY
#define GR_FNT_CMI6 GR_FNT_EMPTY
#define GR_FNT_CMI7 GR_FNT_EMPTY
#define GR_FNT_CMI8 GR_FNT_EMPTY
#define GR_FNT_CMI9 GR_FNT_EMPTY
#define GR_FNT_CMI10 GR_FNT_EMPTY
#define GR_FNT_CMI11 DOS_CMI11
#define GR_FNT_CMI12 DOS_CMI12
#define GR_FNT_CMI13 GR_FNT_EMPTY
#define GR_FNT_CMI14 DOS_CMI14
#define GR_FNT_CMI15 GR_FNT_EMPTY
#define GR_FNT_CMI16 DOS_CMI16
#define GR_FNT_CMI17 GR_FNT_EMPTY
#define GR_FNT_CMI18 GR_FNT_EMPTY
#define GR_FNT_CMI19 GR_FNT_EMPTY
#define GR_FNT_CMI20 DOS_CMI20
#define GR_FNT_CMI21 GR_FNT_EMPTY
#define GR_FNT_CMI22 GR_FNT_EMPTY
#define GR_FNT_CMI23 GR_FNT_EMPTY
#define GR_FNT_CMI24 GR_FNT_EMPTY
#define GR_FNT_CMI25 DOS_CMI25
#define GR_FNT_CMI26 GR_FNT_EMPTY
#define GR_FNT_CMI27 GR_FNT_EMPTY
#define GR_FNT_CMI28 GR_FNT_EMPTY
#define GR_FNT_CMI29 GR_FNT_EMPTY
#define GR_FNT_CMI30 GR_FNT_EMPTY
#define GR_FNT_CMI31 GR_FNT_EMPTY
#define GR_FNT_CMI32 GR_FNT_EMPTY
#define GR_FNT_CMI33 GR_FNT_EMPTY
#define GR_FNT_CMI34 DOS_CMI34
#define GR_FNT_CMI35 GR_FNT_EMPTY
#define GR_FNT_CMI36 GR_FNT_EMPTY
#define GR_FNT_CMI37 GR_FNT_EMPTY
#define GR_FNT_CMI38 GR_FNT_EMPTY
#define GR_FNT_CMI39 GR_FNT_EMPTY
#define GR_FNT_CMI40 GR_FNT_EMPTY

#define GR_FNT_CBR0 GR_FNT_EMPTY
#define GR_FNT_CBR1 GR_FNT_EMPTY
#define GR_FNT_CBR2 GR_FNT_EMPTY
#define GR_FNT_CBR3 GR_FNT_EMPTY
#define GR_FNT_CBR4 GR_FNT_EMPTY
#define GR_FNT_CBR5 GR_FNT_EMPTY
#define GR_FNT_CBR6 GR_FNT_EMPTY
#define GR_FNT_CBR7 GR_FNT_EMPTY
#define GR_FNT_CBR8 GR_FNT_EMPTY
#define GR_FNT_CBR9 GR_FNT_EMPTY
#define GR_FNT_CBR10 GR_FNT_EMPTY
#define GR_FNT_CBR11 DOS_CBR11
#define GR_FNT_CBR12 DOS_CBR12
#define GR_FNT_CBR13 GR_FNT_EMPTY
#define GR_FNT_CBR14 DOS_CBR14
#define GR_FNT_CBR15 GR_FNT_EMPTY
#define GR_FNT_CBR16 DOS_CBR16
#define GR_FNT_CBR17 GR_FNT_EMPTY
#define GR_FNT_CBR18 GR_FNT_EMPTY
#define GR_FNT_CBR19 GR_FNT_EMPTY
#define GR_FNT_CBR20 DOS_CBR20
#define GR_FNT_CBR21 GR_FNT_EMPTY
#define GR_FNT_CBR22 GR_FNT_EMPTY
#define GR_FNT_CBR23 GR_FNT_EMPTY
#define GR_FNT_CBR24 GR_FNT_EMPTY
#define GR_FNT_CBR25 DOS_CBR25
#define GR_FNT_CBR26 GR_FNT_EMPTY
#define GR_FNT_CBR27 GR_FNT_EMPTY
#define GR_FNT_CBR28 GR_FNT_EMPTY
#define GR_FNT_CBR29 GR_FNT_EMPTY
#define GR_FNT_CBR30 GR_FNT_EMPTY
#define GR_FNT_CBR31 GR_FNT_EMPTY
#define GR_FNT_CBR32 GR_FNT_EMPTY
#define GR_FNT_CBR33 GR_FNT_EMPTY
#define GR_FNT_CBR34 DOS_CBR34
#define GR_FNT_CBR35 GR_FNT_EMPTY
#define GR_FNT_CBR36 GR_FNT_EMPTY
#define GR_FNT_CBR37 GR_FNT_EMPTY
#define GR_FNT_CBR38 GR_FNT_EMPTY
#define GR_FNT_CBR39 GR_FNT_EMPTY
#define GR_FNT_CBR40 GR_FNT_EMPTY

#define GR_FNT_CBI0 GR_FNT_EMPTY
#define GR_FNT_CBI1 GR_FNT_EMPTY
#define GR_FNT_CBI2 GR_FNT_EMPTY
#define GR_FNT_CBI3 GR_FNT_EMPTY
#define GR_FNT_CBI4 GR_FNT_EMPTY
#define GR_FNT_CBI5 GR_FNT_EMPTY
#define GR_FNT_CBI6 GR_FNT_EMPTY
#define GR_FNT_CBI7 GR_FNT_EMPTY
#define GR_FNT_CBI8 GR_FNT_EMPTY
#define GR_FNT_CBI9 GR_FNT_EMPTY
#define GR_FNT_CBI10 GR_FNT_EMPTY
#define GR_FNT_CBI11 DOS_CBI11
#define GR_FNT_CBI12 DOS_CBI12
#define GR_FNT_CBI13 GR_FNT_EMPTY
#define GR_FNT_CBI14 DOS_CBI14
#define GR_FNT_CBI15 GR_FNT_EMPTY
#define GR_FNT_CBI16 DOS_CBI16
#define GR_FNT_CBI17 GR_FNT_EMPTY
#define GR_FNT_CBI18 GR_FNT_EMPTY
#define GR_FNT_CBI19 GR_FNT_EMPTY
#define GR_FNT_CBI20 DOS_CBI20
#define GR_FNT_CBI21 GR_FNT_EMPTY
#define GR_FNT_CBI22 GR_FNT_EMPTY
#define GR_FNT_CBI23 GR_FNT_EMPTY
#define GR_FNT_CBI24 GR_FNT_EMPTY
#define GR_FNT_CBI25 DOS_CBI25
#define GR_FNT_CBI26 GR_FNT_EMPTY
#define GR_FNT_CBI27 GR_FNT_EMPTY
#define GR_FNT_CBI28 GR_FNT_EMPTY
#define GR_FNT_CBI29 GR_FNT_EMPTY
#define GR_FNT_CBI30 GR_FNT_EMPTY
#define GR_FNT_CBI31 GR_FNT_EMPTY
#define GR_FNT_CBI32 GR_FNT_EMPTY
#define GR_FNT_CBI33 GR_FNT_EMPTY
#define GR_FNT_CBI34 DOS_CBI34
#define GR_FNT_CBI35 GR_FNT_EMPTY
#define GR_FNT_CBI36 GR_FNT_EMPTY
#define GR_FNT_CBI37 GR_FNT_EMPTY
#define GR_FNT_CBI38 GR_FNT_EMPTY
#define GR_FNT_CBI39 GR_FNT_EMPTY
#define GR_FNT_CBI40 GR_FNT_EMPTY

#define GR_FNT_HMR0 GR_FNT_EMPTY
#define GR_FNT_HMR1 GR_FNT_EMPTY
#define GR_FNT_HMR2 GR_FNT_EMPTY
#define GR_FNT_HMR3 GR_FNT_EMPTY
#define GR_FNT_HMR4 GR_FNT_EMPTY
#define GR_FNT_HMR5 GR_FNT_EMPTY
#define GR_FNT_HMR6 GR_FNT_EMPTY
#define GR_FNT_HMR7 GR_FNT_EMPTY
#define GR_FNT_HMR8 GR_FNT_EMPTY
#define GR_FNT_HMR9 GR_FNT_EMPTY
#define GR_FNT_HMR10 GR_FNT_EMPTY
#define GR_FNT_HMR11 DOS_HMR11
#define GR_FNT_HMR12 GR_FNT_EMPTY
#define GR_FNT_HMR13 DOS_HMR13
#define GR_FNT_HMR14 GR_FNT_EMPTY
#define GR_FNT_HMR15 DOS_HMR15
#define GR_FNT_HMR16 GR_FNT_EMPTY
#define GR_FNT_HMR17 DOS_HMR17
#define GR_FNT_HMR18 GR_FNT_EMPTY
#define GR_FNT_HMR19 GR_FNT_EMPTY
#define GR_FNT_HMR20 GR_FNT_EMPTY
#define GR_FNT_HMR21 GR_FNT_EMPTY
#define GR_FNT_HMR22 DOS_HMR22
#define GR_FNT_HMR23 GR_FNT_EMPTY
#define GR_FNT_HMR24 GR_FNT_EMPTY
#define GR_FNT_HMR25 GR_FNT_EMPTY
#define GR_FNT_HMR26 GR_FNT_EMPTY
#define GR_FNT_HMR27 GR_FNT_EMPTY
#define GR_FNT_HMR28 GR_FNT_EMPTY
#define GR_FNT_HMR29 DOS_HMR29
#define GR_FNT_HMR30 GR_FNT_EMPTY
#define GR_FNT_HMR31 GR_FNT_EMPTY
#define GR_FNT_HMR32 GR_FNT_EMPTY
#define GR_FNT_HMR33 GR_FNT_EMPTY
#define GR_FNT_HMR34 GR_FNT_EMPTY
#define GR_FNT_HMR35 GR_FNT_EMPTY
#define GR_FNT_HMR36 GR_FNT_EMPTY
#define GR_FNT_HMR37 GR_FNT_EMPTY
#define GR_FNT_HMR38 DOS_HMR38
#define GR_FNT_HMR39 GR_FNT_EMPTY
#define GR_FNT_HMR40 GR_FNT_EMPTY

#define GR_FNT_HMI0 GR_FNT_EMPTY
#define GR_FNT_HMI1 GR_FNT_EMPTY
#define GR_FNT_HMI2 GR_FNT_EMPTY
#define GR_FNT_HMI3 GR_FNT_EMPTY
#define GR_FNT_HMI4 GR_FNT_EMPTY
#define GR_FNT_HMI5 GR_FNT_EMPTY
#define GR_FNT_HMI6 GR_FNT_EMPTY
#define GR_FNT_HMI7 GR_FNT_EMPTY
#define GR_FNT_HMI8 GR_FNT_EMPTY
#define GR_FNT_HMI9 GR_FNT_EMPTY
#define GR_FNT_HMI10 GR_FNT_EMPTY
#define GR_FNT_HMI11 DOS_HMI11
#define GR_FNT_HMI12 GR_FNT_EMPTY
#define GR_FNT_HMI13 DOS_HMI13
#define GR_FNT_HMI14 GR_FNT_EMPTY
#define GR_FNT_HMI15 DOS_HMI15
#define GR_FNT_HMI16 GR_FNT_EMPTY
#define GR_FNT_HMI17 DOS_HMI17
#define GR_FNT_HMI18 GR_FNT_EMPTY
#define GR_FNT_HMI19 GR_FNT_EMPTY
#define GR_FNT_HMI20 GR_FNT_EMPTY
#define GR_FNT_HMI21 GR_FNT_EMPTY
#define GR_FNT_HMI22 DOS_HMI22
#define GR_FNT_HMI23 GR_FNT_EMPTY
#define GR_FNT_HMI24 GR_FNT_EMPTY
#define GR_FNT_HMI25 GR_FNT_EMPTY
#define GR_FNT_HMI26 GR_FNT_EMPTY
#define GR_FNT_HMI27 GR_FNT_EMPTY
#define GR_FNT_HMI28 GR_FNT_EMPTY
#define GR_FNT_HMI29 DOS_HMI29
#define GR_FNT_HMI30 GR_FNT_EMPTY
#define GR_FNT_HMI31 GR_FNT_EMPTY
#define GR_FNT_HMI32 GR_FNT_EMPTY
#define GR_FNT_HMI33 GR_FNT_EMPTY
#define GR_FNT_HMI34 GR_FNT_EMPTY
#define GR_FNT_HMI35 GR_FNT_EMPTY
#define GR_FNT_HMI36 GR_FNT_EMPTY
#define GR_FNT_HMI37 GR_FNT_EMPTY
#define GR_FNT_HMI38 DOS_HMI38
#define GR_FNT_HMI39 GR_FNT_EMPTY
#define GR_FNT_HMI40 GR_FNT_EMPTY

#define GR_FNT_HBR0 GR_FNT_EMPTY
#define GR_FNT_HBR1 GR_FNT_EMPTY
#define GR_FNT_HBR2 GR_FNT_EMPTY
#define GR_FNT_HBR3 GR_FNT_EMPTY
#define GR_FNT_HBR4 GR_FNT_EMPTY
#define GR_FNT_HBR5 GR_FNT_EMPTY
#define GR_FNT_HBR6 GR_FNT_EMPTY
#define GR_FNT_HBR7 GR_FNT_EMPTY
#define GR_FNT_HBR8 GR_FNT_EMPTY
#define GR_FNT_HBR9 GR_FNT_EMPTY
#define GR_FNT_HBR10 GR_FNT_EMPTY
#define GR_FNT_HBR11 DOS_HBR11
#define GR_FNT_HBR12 GR_FNT_EMPTY
#define GR_FNT_HBR13 DOS_HBR13
#define GR_FNT_HBR14 GR_FNT_EMPTY
#define GR_FNT_HBR15 DOS_HBR15
#define GR_FNT_HBR16 GR_FNT_EMPTY
#define GR_FNT_HBR17 DOS_HBR17
#define GR_FNT_HBR18 GR_FNT_EMPTY
#define GR_FNT_HBR19 GR_FNT_EMPTY
#define GR_FNT_HBR20 GR_FNT_EMPTY
#define GR_FNT_HBR21 GR_FNT_EMPTY
#define GR_FNT_HBR22 DOS_HBR22
#define GR_FNT_HBR23 GR_FNT_EMPTY
#define GR_FNT_HBR24 GR_FNT_EMPTY
#define GR_FNT_HBR25 GR_FNT_EMPTY
#define GR_FNT_HBR26 GR_FNT_EMPTY
#define GR_FNT_HBR27 GR_FNT_EMPTY
#define GR_FNT_HBR28 GR_FNT_EMPTY
#define GR_FNT_HBR29 DOS_HBR29
#define GR_FNT_HBR30 GR_FNT_EMPTY
#define GR_FNT_HBR31 GR_FNT_EMPTY
#define GR_FNT_HBR32 GR_FNT_EMPTY
#define GR_FNT_HBR33 GR_FNT_EMPTY
#define GR_FNT_HBR34 GR_FNT_EMPTY
#define GR_FNT_HBR35 GR_FNT_EMPTY
#define GR_FNT_HBR36 GR_FNT_EMPTY
#define GR_FNT_HBR37 GR_FNT_EMPTY
#define GR_FNT_HBR38 DOS_HBR38
#define GR_FNT_HBR39 GR_FNT_EMPTY
#define GR_FNT_HBR40 GR_FNT_EMPTY

#define GR_FNT_HBI0 GR_FNT_EMPTY
#define GR_FNT_HBI1 GR_FNT_EMPTY
#define GR_FNT_HBI2 GR_FNT_EMPTY
#define GR_FNT_HBI3 GR_FNT_EMPTY
#define GR_FNT_HBI4 GR_FNT_EMPTY
#define GR_FNT_HBI5 GR_FNT_EMPTY
#define GR_FNT_HBI6 GR_FNT_EMPTY
#define GR_FNT_HBI7 GR_FNT_EMPTY
#define GR_FNT_HBI8 GR_FNT_EMPTY
#define GR_FNT_HBI9 GR_FNT_EMPTY
#define GR_FNT_HBI10 GR_FNT_EMPTY
#define GR_FNT_HBI11 DOS_HBI11
#define GR_FNT_HBI12 GR_FNT_EMPTY
#define GR_FNT_HBI13 DOS_HBI13
#define GR_FNT_HBI14 GR_FNT_EMPTY
#define GR_FNT_HBI15 DOS_HBI15
#define GR_FNT_HBI16 GR_FNT_EMPTY
#define GR_FNT_HBI17 DOS_HBI17
#define GR_FNT_HBI18 GR_FNT_EMPTY
#define GR_FNT_HBI19 GR_FNT_EMPTY
#define GR_FNT_HBI20 GR_FNT_EMPTY
#define GR_FNT_HBI21 GR_FNT_EMPTY
#define GR_FNT_HBI22 DOS_HBI22
#define GR_FNT_HBI23 GR_FNT_EMPTY
#define GR_FNT_HBI24 GR_FNT_EMPTY
#define GR_FNT_HBI25 GR_FNT_EMPTY
#define GR_FNT_HBI26 GR_FNT_EMPTY
#define GR_FNT_HBI27 GR_FNT_EMPTY
#define GR_FNT_HBI28 GR_FNT_EMPTY
#define GR_FNT_HBI29 DOS_HBI29
#define GR_FNT_HBI30 GR_FNT_EMPTY
#define GR_FNT_HBI31 GR_FNT_EMPTY
#define GR_FNT_HBI32 GR_FNT_EMPTY
#define GR_FNT_HBI33 GR_FNT_EMPTY
#define GR_FNT_HBI34 GR_FNT_EMPTY
#define GR_FNT_HBI35 GR_FNT_EMPTY
#define GR_FNT_HBI36 GR_FNT_EMPTY
#define GR_FNT_HBI37 GR_FNT_EMPTY
#define GR_FNT_HBI38 DOS_HBI38
#define GR_FNT_HBI39 GR_FNT_EMPTY
#define GR_FNT_HBI40 GR_FNT_EMPTY

#define GR_FNT_NCMR0 GR_FNT_EMPTY
#define GR_FNT_NCMR1 GR_FNT_EMPTY
#define GR_FNT_NCMR2 GR_FNT_EMPTY
#define GR_FNT_NCMR3 GR_FNT_EMPTY
#define GR_FNT_NCMR4 GR_FNT_EMPTY
#define GR_FNT_NCMR5 GR_FNT_EMPTY
#define GR_FNT_NCMR6 GR_FNT_EMPTY
#define GR_FNT_NCMR7 GR_FNT_EMPTY
#define GR_FNT_NCMR8 GR_FNT_EMPTY
#define GR_FNT_NCMR9 GR_FNT_EMPTY
#define GR_FNT_NCMR10 GR_FNT_EMPTY
#define GR_FNT_NCMR11 DOS_NCMR11
#define GR_FNT_NCMR12 GR_FNT_EMPTY
#define GR_FNT_NCMR13 DOS_NCMR13
#define GR_FNT_NCMR14 GR_FNT_EMPTY
#define GR_FNT_NCMR15 DOS_NCMR15
#define GR_FNT_NCMR16 GR_FNT_EMPTY
#define GR_FNT_NCMR17 GR_FNT_EMPTY
#define GR_FNT_NCMR18 DOS_NCMR18
#define GR_FNT_NCMR19 GR_FNT_EMPTY
#define GR_FNT_NCMR20 GR_FNT_EMPTY
#define GR_FNT_NCMR21 GR_FNT_EMPTY
#define GR_FNT_NCMR22 DOS_NCMR22
#define GR_FNT_NCMR23 GR_FNT_EMPTY
#define GR_FNT_NCMR24 GR_FNT_EMPTY
#define GR_FNT_NCMR25 GR_FNT_EMPTY
#define GR_FNT_NCMR26 GR_FNT_EMPTY
#define GR_FNT_NCMR27 GR_FNT_EMPTY
#define GR_FNT_NCMR28 GR_FNT_EMPTY
#define GR_FNT_NCMR29 DOS_NCMR29
#define GR_FNT_NCMR30 GR_FNT_EMPTY
#define GR_FNT_NCMR31 GR_FNT_EMPTY
#define GR_FNT_NCMR32 GR_FNT_EMPTY
#define GR_FNT_NCMR33 GR_FNT_EMPTY
#define GR_FNT_NCMR34 GR_FNT_EMPTY
#define GR_FNT_NCMR35 GR_FNT_EMPTY
#define GR_FNT_NCMR36 GR_FNT_EMPTY
#define GR_FNT_NCMR37 GR_FNT_EMPTY
#define GR_FNT_NCMR38 GR_FNT_EMPTY
#define GR_FNT_NCMR39 GR_FNT_EMPTY
#define GR_FNT_NCMR40 DOS_NCMR40

#define GR_FNT_NCMI0 GR_FNT_EMPTY
#define GR_FNT_NCMI1 GR_FNT_EMPTY
#define GR_FNT_NCMI2 GR_FNT_EMPTY
#define GR_FNT_NCMI3 GR_FNT_EMPTY
#define GR_FNT_NCMI4 GR_FNT_EMPTY
#define GR_FNT_NCMI5 GR_FNT_EMPTY
#define GR_FNT_NCMI6 GR_FNT_EMPTY
#define GR_FNT_NCMI7 GR_FNT_EMPTY
#define GR_FNT_NCMI8 GR_FNT_EMPTY
#define GR_FNT_NCMI9 GR_FNT_EMPTY
#define GR_FNT_NCMI10 GR_FNT_EMPTY
#define GR_FNT_NCMI11 DOS_NCMI11
#define GR_FNT_NCMI12 GR_FNT_EMPTY
#define GR_FNT_NCMI13 DOS_NCMI13
#define GR_FNT_NCMI14 GR_FNT_EMPTY
#define GR_FNT_NCMI15 DOS_NCMI15
#define GR_FNT_NCMI16 GR_FNT_EMPTY
#define GR_FNT_NCMI17 GR_FNT_EMPTY
#define GR_FNT_NCMI18 DOS_NCMI18
#define GR_FNT_NCMI19 GR_FNT_EMPTY
#define GR_FNT_NCMI20 GR_FNT_EMPTY
#define GR_FNT_NCMI21 GR_FNT_EMPTY
#define GR_FNT_NCMI22 DOS_NCMI22
#define GR_FNT_NCMI23 GR_FNT_EMPTY
#define GR_FNT_NCMI24 GR_FNT_EMPTY
#define GR_FNT_NCMI25 GR_FNT_EMPTY
#define GR_FNT_NCMI26 GR_FNT_EMPTY
#define GR_FNT_NCMI27 GR_FNT_EMPTY
#define GR_FNT_NCMI28 GR_FNT_EMPTY
#define GR_FNT_NCMI29 DOS_NCMI29
#define GR_FNT_NCMI30 GR_FNT_EMPTY
#define GR_FNT_NCMI31 GR_FNT_EMPTY
#define GR_FNT_NCMI32 GR_FNT_EMPTY
#define GR_FNT_NCMI33 GR_FNT_EMPTY
#define GR_FNT_NCMI34 GR_FNT_EMPTY
#define GR_FNT_NCMI35 GR_FNT_EMPTY
#define GR_FNT_NCMI36 GR_FNT_EMPTY
#define GR_FNT_NCMI37 GR_FNT_EMPTY
#define GR_FNT_NCMI38 GR_FNT_EMPTY
#define GR_FNT_NCMI39 GR_FNT_EMPTY
#define GR_FNT_NCMI40 DOS_NCMI40

#define GR_FNT_NCBR0 GR_FNT_EMPTY
#define GR_FNT_NCBR1 GR_FNT_EMPTY
#define GR_FNT_NCBR2 GR_FNT_EMPTY
#define GR_FNT_NCBR3 GR_FNT_EMPTY
#define GR_FNT_NCBR4 GR_FNT_EMPTY
#define GR_FNT_NCBR5 GR_FNT_EMPTY
#define GR_FNT_NCBR6 GR_FNT_EMPTY
#define GR_FNT_NCBR7 GR_FNT_EMPTY
#define GR_FNT_NCBR8 GR_FNT_EMPTY
#define GR_FNT_NCBR9 GR_FNT_EMPTY
#define GR_FNT_NCBR10 GR_FNT_EMPTY
#define GR_FNT_NCBR11 DOS_NCBR11
#define GR_FNT_NCBR12 GR_FNT_EMPTY
#define GR_FNT_NCBR13 DOS_NCBR13
#define GR_FNT_NCBR14 GR_FNT_EMPTY
#define GR_FNT_NCBR15 DOS_NCBR15
#define GR_FNT_NCBR16 GR_FNT_EMPTY
#define GR_FNT_NCBR17 GR_FNT_EMPTY
#define GR_FNT_NCBR18 DOS_NCBR18
#define GR_FNT_NCBR19 GR_FNT_EMPTY
#define GR_FNT_NCBR20 GR_FNT_EMPTY
#define GR_FNT_NCBR21 GR_FNT_EMPTY
#define GR_FNT_NCBR22 DOS_NCBR22
#define GR_FNT_NCBR23 GR_FNT_EMPTY
#define GR_FNT_NCBR24 GR_FNT_EMPTY
#define GR_FNT_NCBR25 GR_FNT_EMPTY
#define GR_FNT_NCBR26 GR_FNT_EMPTY
#define GR_FNT_NCBR27 GR_FNT_EMPTY
#define GR_FNT_NCBR28 GR_FNT_EMPTY
#define GR_FNT_NCBR29 DOS_NCBR29
#define GR_FNT_NCBR30 GR_FNT_EMPTY
#define GR_FNT_NCBR31 GR_FNT_EMPTY
#define GR_FNT_NCBR32 GR_FNT_EMPTY
#define GR_FNT_NCBR33 GR_FNT_EMPTY
#define GR_FNT_NCBR34 GR_FNT_EMPTY
#define GR_FNT_NCBR35 GR_FNT_EMPTY
#define GR_FNT_NCBR36 GR_FNT_EMPTY
#define GR_FNT_NCBR37 GR_FNT_EMPTY
#define GR_FNT_NCBR38 GR_FNT_EMPTY
#define GR_FNT_NCBR39 GR_FNT_EMPTY
#define GR_FNT_NCBR40 DOS_NCBR40

#define GR_FNT_NCBI0 GR_FNT_EMPTY
#define GR_FNT_NCBI1 GR_FNT_EMPTY
#define GR_FNT_NCBI2 GR_FNT_EMPTY
#define GR_FNT_NCBI3 GR_FNT_EMPTY
#define GR_FNT_NCBI4 GR_FNT_EMPTY
#define GR_FNT_NCBI5 GR_FNT_EMPTY
#define GR_FNT_NCBI6 GR_FNT_EMPTY
#define GR_FNT_NCBI7 GR_FNT_EMPTY
#define GR_FNT_NCBI8 GR_FNT_EMPTY
#define GR_FNT_NCBI9 GR_FNT_EMPTY
#define GR_FNT_NCBI10 GR_FNT_EMPTY
#define GR_FNT_NCBI11 DOS_NCBI11
#define GR_FNT_NCBI12 GR_FNT_EMPTY
#define GR_FNT_NCBI13 DOS_NCBI13
#define GR_FNT_NCBI14 GR_FNT_EMPTY
#define GR_FNT_NCBI15 DOS_NCBI15
#define GR_FNT_NCBI16 GR_FNT_EMPTY
#define GR_FNT_NCBI17 GR_FNT_EMPTY
#define GR_FNT_NCBI18 DOS_NCBI18
#define GR_FNT_NCBI19 GR_FNT_EMPTY
#define GR_FNT_NCBI20 GR_FNT_EMPTY
#define GR_FNT_NCBI21 GR_FNT_EMPTY
#define GR_FNT_NCBI22 DOS_NCBI22
#define GR_FNT_NCBI23 GR_FNT_EMPTY
#define GR_FNT_NCBI24 GR_FNT_EMPTY
#define GR_FNT_NCBI25 GR_FNT_EMPTY
#define GR_FNT_NCBI26 GR_FNT_EMPTY
#define GR_FNT_NCBI27 GR_FNT_EMPTY
#define GR_FNT_NCBI28 GR_FNT_EMPTY
#define GR_FNT_NCBI29 DOS_NCBI29
#define GR_FNT_NCBI30 GR_FNT_EMPTY
#define GR_FNT_NCBI31 GR_FNT_EMPTY
#define GR_FNT_NCBI32 GR_FNT_EMPTY
#define GR_FNT_NCBI33 GR_FNT_EMPTY
#define GR_FNT_NCBI34 GR_FNT_EMPTY
#define GR_FNT_NCBI35 GR_FNT_EMPTY
#define GR_FNT_NCBI36 GR_FNT_EMPTY
#define GR_FNT_NCBI37 GR_FNT_EMPTY
#define GR_FNT_NCBI38 GR_FNT_EMPTY
#define GR_FNT_NCBI39 GR_FNT_EMPTY
#define GR_FNT_NCBI40 DOS_NCBI40

#define GR_FNT_TMR0 GR_FNT_EMPTY
#define GR_FNT_TMR1 GR_FNT_EMPTY
#define GR_FNT_TMR2 GR_FNT_EMPTY
#define GR_FNT_TMR3 GR_FNT_EMPTY
#define GR_FNT_TMR4 GR_FNT_EMPTY
#define GR_FNT_TMR5 GR_FNT_EMPTY
#define GR_FNT_TMR6 GR_FNT_EMPTY
#define GR_FNT_TMR7 GR_FNT_EMPTY
#define GR_FNT_TMR8 GR_FNT_EMPTY
#define GR_FNT_TMR9 GR_FNT_EMPTY
#define GR_FNT_TMR10 GR_FNT_EMPTY
#define GR_FNT_TMR11 DOS_TMR11
#define GR_FNT_TMR12 GR_FNT_EMPTY
#define GR_FNT_TMR13 DOS_TMR13
#define GR_FNT_TMR14 GR_FNT_EMPTY
#define GR_FNT_TMR15 DOS_TMR15
#define GR_FNT_TMR16 GR_FNT_EMPTY
#define GR_FNT_TMR17 GR_FNT_EMPTY
#define GR_FNT_TMR18 DOS_TMR18
#define GR_FNT_TMR19 GR_FNT_EMPTY
#define GR_FNT_TMR20 GR_FNT_EMPTY
#define GR_FNT_TMR21 GR_FNT_EMPTY
#define GR_FNT_TMR22 DOS_TMR22
#define GR_FNT_TMR23 GR_FNT_EMPTY
#define GR_FNT_TMR24 GR_FNT_EMPTY
#define GR_FNT_TMR25 GR_FNT_EMPTY
#define GR_FNT_TMR26 GR_FNT_EMPTY
#define GR_FNT_TMR27 GR_FNT_EMPTY
#define GR_FNT_TMR28 GR_FNT_EMPTY
#define GR_FNT_TMR29 DOS_TMR29
#define GR_FNT_TMR30 GR_FNT_EMPTY
#define GR_FNT_TMR31 GR_FNT_EMPTY
#define GR_FNT_TMR32 GR_FNT_EMPTY
#define GR_FNT_TMR33 GR_FNT_EMPTY
#define GR_FNT_TMR34 GR_FNT_EMPTY
#define GR_FNT_TMR35 GR_FNT_EMPTY
#define GR_FNT_TMR36 GR_FNT_EMPTY
#define GR_FNT_TMR37 GR_FNT_EMPTY
#define GR_FNT_TMR38 DOS_TMR38
#define GR_FNT_TMR39 GR_FNT_EMPTY
#define GR_FNT_TMR40 GR_FNT_EMPTY

#define GR_FNT_TMI0 GR_FNT_EMPTY
#define GR_FNT_TMI1 GR_FNT_EMPTY
#define GR_FNT_TMI2 GR_FNT_EMPTY
#define GR_FNT_TMI3 GR_FNT_EMPTY
#define GR_FNT_TMI4 GR_FNT_EMPTY
#define GR_FNT_TMI5 GR_FNT_EMPTY
#define GR_FNT_TMI6 GR_FNT_EMPTY
#define GR_FNT_TMI7 GR_FNT_EMPTY
#define GR_FNT_TMI8 GR_FNT_EMPTY
#define GR_FNT_TMI9 GR_FNT_EMPTY
#define GR_FNT_TMI10 GR_FNT_EMPTY
#define GR_FNT_TMI11 DOS_TMI11
#define GR_FNT_TMI12 GR_FNT_EMPTY
#define GR_FNT_TMI13 DOS_TMI13
#define GR_FNT_TMI14 GR_FNT_EMPTY
#define GR_FNT_TMI15 DOS_TMI15
#define GR_FNT_TMI16 GR_FNT_EMPTY
#define GR_FNT_TMI17 GR_FNT_EMPTY
#define GR_FNT_TMI18 DOS_TMI18
#define GR_FNT_TMI19 GR_FNT_EMPTY
#define GR_FNT_TMI20 GR_FNT_EMPTY
#define GR_FNT_TMI21 GR_FNT_EMPTY
#define GR_FNT_TMI22 DOS_TMI22
#define GR_FNT_TMI23 GR_FNT_EMPTY
#define GR_FNT_TMI24 GR_FNT_EMPTY
#define GR_FNT_TMI25 GR_FNT_EMPTY
#define GR_FNT_TMI26 GR_FNT_EMPTY
#define GR_FNT_TMI27 GR_FNT_EMPTY
#define GR_FNT_TMI28 GR_FNT_EMPTY
#define GR_FNT_TMI29 DOS_TMI29
#define GR_FNT_TMI30 GR_FNT_EMPTY
#define GR_FNT_TMI31 GR_FNT_EMPTY
#define GR_FNT_TMI32 GR_FNT_EMPTY
#define GR_FNT_TMI33 GR_FNT_EMPTY
#define GR_FNT_TMI34 GR_FNT_EMPTY
#define GR_FNT_TMI35 GR_FNT_EMPTY
#define GR_FNT_TMI36 GR_FNT_EMPTY
#define GR_FNT_TMI37 GR_FNT_EMPTY
#define GR_FNT_TMI38 DOS_TMI38
#define GR_FNT_TMI39 GR_FNT_EMPTY
#define GR_FNT_TMI40 GR_FNT_EMPTY

#define GR_FNT_TBR0 GR_FNT_EMPTY
#define GR_FNT_TBR1 GR_FNT_EMPTY
#define GR_FNT_TBR2 GR_FNT_EMPTY
#define GR_FNT_TBR3 GR_FNT_EMPTY
#define GR_FNT_TBR4 GR_FNT_EMPTY
#define GR_FNT_TBR5 GR_FNT_EMPTY
#define GR_FNT_TBR6 GR_FNT_EMPTY
#define GR_FNT_TBR7 GR_FNT_EMPTY
#define GR_FNT_TBR8 GR_FNT_EMPTY
#define GR_FNT_TBR9 GR_FNT_EMPTY
#define GR_FNT_TBR10 GR_FNT_EMPTY
#define GR_FNT_TBR11 DOS_TBR11
#define GR_FNT_TBR12 GR_FNT_EMPTY
#define GR_FNT_TBR13 DOS_TBR13
#define GR_FNT_TBR14 GR_FNT_EMPTY
#define GR_FNT_TBR15 DOS_TBR15
#define GR_FNT_TBR16 GR_FNT_EMPTY
#define GR_FNT_TBR17 GR_FNT_EMPTY
#define GR_FNT_TBR18 DOS_TBR18
#define GR_FNT_TBR19 GR_FNT_EMPTY
#define GR_FNT_TBR20 GR_FNT_EMPTY
#define GR_FNT_TBR21 GR_FNT_EMPTY
#define GR_FNT_TBR22 DOS_TBR22
#define GR_FNT_TBR23 GR_FNT_EMPTY
#define GR_FNT_TBR24 GR_FNT_EMPTY
#define GR_FNT_TBR25 GR_FNT_EMPTY
#define GR_FNT_TBR26 GR_FNT_EMPTY
#define GR_FNT_TBR27 GR_FNT_EMPTY
#define GR_FNT_TBR28 GR_FNT_EMPTY
#define GR_FNT_TBR29 DOS_TBR29
#define GR_FNT_TBR30 GR_FNT_EMPTY
#define GR_FNT_TBR31 GR_FNT_EMPTY
#define GR_FNT_TBR32 GR_FNT_EMPTY
#define GR_FNT_TBR33 GR_FNT_EMPTY
#define GR_FNT_TBR34 GR_FNT_EMPTY
#define GR_FNT_TBR35 GR_FNT_EMPTY
#define GR_FNT_TBR36 GR_FNT_EMPTY
#define GR_FNT_TBR37 GR_FNT_EMPTY
#define GR_FNT_TBR38 DOS_TBR38
#define GR_FNT_TBR39 GR_FNT_EMPTY
#define GR_FNT_TBR40 GR_FNT_EMPTY

#define GR_FNT_TBI0 GR_FNT_EMPTY
#define GR_FNT_TBI1 GR_FNT_EMPTY
#define GR_FNT_TBI2 GR_FNT_EMPTY
#define GR_FNT_TBI3 GR_FNT_EMPTY
#define GR_FNT_TBI4 GR_FNT_EMPTY
#define GR_FNT_TBI5 GR_FNT_EMPTY
#define GR_FNT_TBI6 GR_FNT_EMPTY
#define GR_FNT_TBI7 GR_FNT_EMPTY
#define GR_FNT_TBI8 GR_FNT_EMPTY
#define GR_FNT_TBI9 GR_FNT_EMPTY
#define GR_FNT_TBI10 GR_FNT_EMPTY
#define GR_FNT_TBI11 DOS_TBI11
#define GR_FNT_TBI12 GR_FNT_EMPTY
#define GR_FNT_TBI13 DOS_TBI13
#define GR_FNT_TBI14 GR_FNT_EMPTY
#define GR_FNT_TBI15 DOS_TBI15
#define GR_FNT_TBI16 GR_FNT_EMPTY
#define GR_FNT_TBI17 GR_FNT_EMPTY
#define GR_FNT_TBI18 DOS_TBI18
#define GR_FNT_TBI19 GR_FNT_EMPTY
#define GR_FNT_TBI20 GR_FNT_EMPTY
#define GR_FNT_TBI21 GR_FNT_EMPTY
#define GR_FNT_TBI22 DOS_TBI22
#define GR_FNT_TBI23 GR_FNT_EMPTY
#define GR_FNT_TBI24 GR_FNT_EMPTY
#define GR_FNT_TBI25 GR_FNT_EMPTY
#define GR_FNT_TBI26 GR_FNT_EMPTY
#define GR_FNT_TBI27 GR_FNT_EMPTY
#define GR_FNT_TBI28 GR_FNT_EMPTY
#define GR_FNT_TBI29 DOS_TBI29
#define GR_FNT_TBI30 GR_FNT_EMPTY
#define GR_FNT_TBI31 GR_FNT_EMPTY
#define GR_FNT_TBI32 GR_FNT_EMPTY
#define GR_FNT_TBI33 GR_FNT_EMPTY
#define GR_FNT_TBI34 GR_FNT_EMPTY
#define GR_FNT_TBI35 GR_FNT_EMPTY
#define GR_FNT_TBI36 GR_FNT_EMPTY
#define GR_FNT_TBI37 GR_FNT_EMPTY
#define GR_FNT_TBI38 DOS_TBI38
#define GR_FNT_TBI39 GR_FNT_EMPTY
#define GR_FNT_TBI40 GR_FNT_EMPTY

#define GR_FNT_SMR0 GR_FNT_EMPTY
#define GR_FNT_SMR1 GR_FNT_EMPTY
#define GR_FNT_SMR2 GR_FNT_EMPTY
#define GR_FNT_SMR3 GR_FNT_EMPTY
#define GR_FNT_SMR4 GR_FNT_EMPTY
#define GR_FNT_SMR5 GR_FNT_EMPTY
#define GR_FNT_SMR6 GR_FNT_EMPTY
#define GR_FNT_SMR7 GR_FNT_EMPTY
#define GR_FNT_SMR8 GR_FNT_EMPTY
#define GR_FNT_SMR9 GR_FNT_EMPTY
#define GR_FNT_SMR10 GR_FNT_EMPTY
#define GR_FNT_SMR11 DOS_SMR11
#define GR_FNT_SMR12 GR_FNT_EMPTY
#define GR_FNT_SMR13 GR_FNT_EMPTY
#define GR_FNT_SMR14 DOS_SMR14
#define GR_FNT_SMR15 GR_FNT_EMPTY
#define GR_FNT_SMR16 DOS_SMR16
#define GR_FNT_SMR17 GR_FNT_EMPTY
#define GR_FNT_SMR18 GR_FNT_EMPTY
#define GR_FNT_SMR19 GR_FNT_EMPTY
#define GR_FNT_SMR20 DOS_SMR20
#define GR_FNT_SMR21 GR_FNT_EMPTY
#define GR_FNT_SMR22 GR_FNT_EMPTY
#define GR_FNT_SMR23 GR_FNT_EMPTY
#define GR_FNT_SMR24 GR_FNT_EMPTY
#define GR_FNT_SMR25 DOS_SMR25
#define GR_FNT_SMR26 GR_FNT_EMPTY
#define GR_FNT_SMR27 GR_FNT_EMPTY
#define GR_FNT_SMR28 GR_FNT_EMPTY
#define GR_FNT_SMR29 GR_FNT_EMPTY
#define GR_FNT_SMR30 GR_FNT_EMPTY
#define GR_FNT_SMR31 GR_FNT_EMPTY
#define GR_FNT_SMR32 DOS_SMR32
#define GR_FNT_SMR33 GR_FNT_EMPTY
#define GR_FNT_SMR34 DOS_SMR34
#define GR_FNT_SMR35 GR_FNT_EMPTY
#define GR_FNT_SMR36 GR_FNT_EMPTY
#define GR_FNT_SMR37 GR_FNT_EMPTY
#define GR_FNT_SMR38 GR_FNT_EMPTY
#define GR_FNT_SMR39 GR_FNT_EMPTY
#define GR_FNT_SMR40 GR_FNT_EMPTY

struct grFont_t {
  int family,weight,shape,size;
  GrTextOption *theFont;
};

#endif

#endif
