/*      file     : parallel/ParallelTypes.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParallelTypes.h,v 1.11 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PARALLELTYPES_H
#define PARALLELTYPES_H

// ***INCLUDES************************************************************************ 

#include <Basic.h>

// ***DEFINES************************************************************************* 

#define MTAG_PARALLEL_CONTROL  1                             // 0x001
#define MTAG_PARALLEL          (MTAG_PARALLEL_CONTROL << 1)  // 0x002
#define MTAG_BASE              (MTAG_PARALLEL << 1)

#define MTYPE_PARALLEL_QUIT    1
#define MTYPE_PARALLEL_CONTROL 2
#define MTYPE_BASE             3

#define MAX_EVENTS             256
#define ActiveBitsInMask(ID, Bit, Mask) (ID = 0, Bit = 1; Bit <= Mask; Bit = (Bit << 1), ID++) if (Bit & (Mask))

// Communication capabilities

#define CC_SEND_MESSAGE        0x00000001
#define CC_LINEAR_BROADCAST    0x00000002

/** ***CONSTANTS*********************************************************************** */

/** Coding modes. */

enum TEncodingMode

{
    /** Do not code. */
    EncodingRaw,
    /** Code values using XDR. */
    EncodingXDR
};

/** Topology types.
 */

enum TTopologyType

{
    SimpleTopology,
    /** Bus topology. Only a linear ranking is provided. */
    BusTopology,
    RingTopology,
    /** Two-dimensional grid topology. */
    GridTopology,
    /** General topology represented by a graph. Vertices correspond to CPN and edges 
      to communication links. */
    GraphTopology
};

// ***TYPES*************************************************************************** 

typedef long TCPNID;
typedef long THostID;
typedef long TMessageID;
typedef long TMessageTag;
typedef long TMessageType;
typedef long TMessageFlags;

typedef long TArchCode;

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
