
bool
TCommunication::Reduce(const signed char &SendData, signed char &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeChar, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const double &SendData, double &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeDouble, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const float &SendData, float &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeFloat, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const int &SendData, int &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeInt, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const long &SendData, long &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeLong, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const short int &SendData, short int &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeShort, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const unsigned char &SendData, unsigned char &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeUChar, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const unsigned int &SendData, unsigned int &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeUInt, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const unsigned long &SendData, unsigned long &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeULong, Operation, Root);
}

// ===================================================================================

bool
TCommunication::Reduce(const unsigned short int &SendData, unsigned short int &ReceiveData, 
                       TDestination Destination, TBaseOperation Operation, long Count)

{
    TCommunicationControl *Control;
    TCPNID                 Root;

    if (!CheckReduceParameters(Operation, Destination, Root, Control))
        return FALSE;
    return Control->ReduceLinearArray((const void *) &SendData, (void *) &ReceiveData,
                                      (int) Count, BaseTypeUShort, Operation, Root);
}

// ===================================================================================
