/*      file     : communication/TCommunicationControl.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TCommunicationControl.C,v 1.8 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TDebug.h>

#include "TCPNInfo.h"
#include "TBaseMessage.h"
#include "TCommunicationControl.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TBaseObject
// =================================================================================== 

bool
TCommunicationControl::Activate(void)

{    
    debug(Print(DM_MSG_CONTROL, "Activate"));
    return TRUE;
}

// =================================================================================== 

long
TCommunicationControl::GetCapabilities(void) const

{
    return 0;
}

// =================================================================================== 

TString
TCommunicationControl::GetClassName(void) const

{
    return "TCommunicationControl";
}

// =================================================================================== 

TBaseMessage *
TCommunicationControl::GetNewMessage(TMessageID, TCPNID, TDestination *,
                                     TMessageTag, TMessageType, TMessageFlags)

{
    return 0;
}

// =================================================================================== 

bool
TCommunicationControl::IsBlockable(void) const

{
    return FALSE;
}

// =================================================================================== 

bool
TCommunicationControl::ReduceLinearArray(const void*, void*, int, 
                                         TBaseType, TBaseOperation, TCPNID)

{
    NotOverloaded("ReduceLinearArray");
    return FALSE;
}

// =================================================================================== 

bool
TCommunicationControl::SetEncoding(TEncodingMode)

{
    return TRUE;
}

// =================================================================================== 
#undef ParentClass
