/*      file     : parallel/TGridTopology.i.C
        project  : Paralell Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TGridTopology.i.C,v 1.4 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline TDLList< TCPNInfo > *
TGridTopology::GetColList(void)

{
    if (!BuildRowAndColumnLists())
        return 0;
    return GridMutable->ColList;
}

// =================================================================================== 

inline const TCPNInfo *
TGridTopology::GetCPNInfoByRowAndCol(int theRow, int theCol) const

{
    return GetCPNInfoByRank(GetRankByRowAndCol(theRow,theCol));
}

// =================================================================================== 

inline int
TGridTopology::GetMyCol(void) const

{
    if (!DetermineRank())
        return INVALID;
    return GetRank() % GetNrOfCols();
}

// =================================================================================== 

inline int
TGridTopology::GetMyRow(void) const

{
    if (!DetermineRank())
        return INVALID;
    return GetRank() / GetNrOfCols();
}

// =================================================================================== 

inline int
TGridTopology::GetNrOfRows(void) const

{
    return GridMutable->Rows;
}

// =================================================================================== 

inline int
TGridTopology::GetNrOfCols(void) const

{
    return GridMutable->Cols;
}

// =================================================================================== 

inline int
TGridTopology::GetRankByRowAndCol(int theRow, int theCol) const

{
    return theRow * GetNrOfCols() + theCol;
}

// =================================================================================== 

inline TDLList< TCPNInfo > *
TGridTopology::GetRowList(void)

{
    if (!BuildRowAndColumnLists())
        return 0;
    return GridMutable->RowList;
}

// =================================================================================== 
