/*      file     : parallel/THostInfo.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: THostInfo.h,v 1.5 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef THOSTINFO_H
#define THOSTINFO_H

// ***INCLUDES************************************************************************ 

#include <TString.h>
#include <TDLList.h>
#include <TBaseObject.h>
#include "ParallelTypes.h"

// ***FORWARDS************************************************************************

class TBaseMessage;

// ***CLASSES************************************************************************* 

class THostInfo : public TBaseObject, public TDLNodePrimitive

{
public:
    
    THostInfo(const char *theName);
    THostInfo(TBaseMessage *aMessage);

    unsigned long DebugMask;

    bool
        Encode(TBaseMessage *aMessage) const;
    bool
        Decode(TBaseMessage *aMessage);
    virtual TString
        GetClassName(void) const;
    virtual TString
        GetInstanceName(void) const;
    TString
        GetShortName(void) const;
    bool
        SameName(const char *aName) const;

    THostID ID;
    TString Name;
    TString ArchName;
    long    ArchCode;
    double  Performance;
    int     MaxNrOfCPN;
    int     NrOfCPN;
    long    Flags;

private:

    void
        _Init(void);
};

// ***TYPES*************************************************************************** 

typedef TDLList<THostInfo> THostInfoList;
typedef TDLListEnum<THostInfo> THostInfoEnum;

// ***PROTOTYPES********************************************************************** 

bool
operator == (const THostInfo &Host1, const THostInfo &Host2);

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
