/*      file     : parallel/TTrivialParallelControl.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TTrivialParallelControl.C,v 1.4 2005/03/25 11:06:21 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TString.h>
#include <TEnvironment.h>

#include "ParallelTypes.h"
#include "TCPNInfo.h"
#include "THostInfo.h"
#include "TParallelControl.h"
#include "TTrivialParallelControl.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TBaseObject
/* =================================================================================== */

bool
TTrivialParallelControl::CheckCPNInfoList(void) const

{
    if (Mutable->CPNInfoList == 0)
    {
        if (!CheckHostInfoList())
        {
            Error("cannot build CPN info list");
            return FALSE;
        }
        Mutable->LocalCPNInfo = GetCPNInfo(Mutable->LocalHostInfo, Environment->GetLocalID());
        Mutable->CPNInfoList = new TCPNInfoList;
        Mutable->CPNInfoList->Append(Mutable->LocalCPNInfo);
    }
    return TRUE;
}

/* =================================================================================== */

bool
TTrivialParallelControl::CheckHostInfoList(void) const

{
    if (Mutable->HostInfoList == 0)
    {
        Mutable->LocalHostInfo = new THostInfo("SINGLE CPN HOST");
        Mutable->LocalHostInfo->ID = Environment->GetLocalID();
        Mutable->LocalHostInfo->NrOfCPN = 1;
        Mutable->LocalHostInfo->MaxNrOfCPN = 1;
        Mutable->LocalHostInfo->ArchName = "UNKNOWN";
        Mutable->HostInfoList = new THostInfoList;
        Mutable->HostInfoList->Append(Mutable->LocalHostInfo);
    }
    return TRUE;
}

// =================================================================================== 

TString
TTrivialParallelControl::GetClassName(void) const

{
    return "TTrivialParallelControl";
}

// =================================================================================== 
#undef ParentClass
