/*      file     : partools/TObjectTimeStat.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TObjectTimeStat.h,v 1.4 2005/04/01 15:11:25 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TOBJECTTIMESTAT_H
#define TOBJECTTIMESTAT_H

// ***INCLUDES************************************************************************ 

#include <TDLList.h>
#include <TStatObject.h>

// ***FORWARDS************************************************************************

class TObjectTimer;

// ***CLASSES*************************************************************************

class TObjectTimeStat : public TStatObject

{
public:

    TObjectTimeStat(TClassInfo *theClassInfo, TParallelID theParallelID = INVALID,
                    double theTime = 0.0);

    virtual bool
    Accumulate(const TStatObject *StatObject);

    void
    Collect(TObjectTimer *Timer);

    virtual bool
    Decode(TBaseStream *aStream, TTransferInfo *TransferInfo);

    virtual bool
    Encode(TBaseStream *aStream, TTransferInfo *TransferInfo) const;

    virtual double
    GetLoad(TCPNID LocalCPNID, TInfoID AdjacenceInfoID, TInfoID LocationInfoID);

    inline double
    GetTime(void) const;

    inline void
    SetTime(double theTime);

private:

    virtual TString
    GetClassName(void) const;

    double Time;
};
 
// ***TYPES*************************************************************************** 

typedef TDLList< TObjectTimeStat > TObjectTimeStatList;
typedef TDLListEnum< TObjectTimeStat > TObjectTimeStatEnum;

// ***INLINE METHODS******************************************************************

#ifndef NO_INLINE
#  include "TObjectTimeStat.i.C"
#endif

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
