/*      file     : parbalance/TPLBalancer.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TPLBalancer.h,v 1.3 2005/03/25 11:06:49 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TPLBALANCER_H
#define TPLBALANCER_H

// ***INCLUDES************************************************************************ 

#include <TTimeStep.h>
#include <TBaseBalancer.h>

// ***FORWARDS************************************************************************

class PlbBaseMail;
class PlbPrecomp;
class PlbTopo;

// ***CLASSES************************************************************************* 

class TPLBalancer : public TBaseBalancer

{
public:

    TPLBalancer(void);
    virtual ~TPLBalancer(void);

private:

    bool
    CheckResults(TTimeStep &TimeStep);

    virtual bool
    ExecuteSubTimeStep(TTimeStep &TimeStep);

    virtual TString
    GetClassName(void) const;

    virtual bool
    Run(void);

    bool
    StartPrecomputation(TTimeStep &TimeStep);

    PlbTopo     *Topology;
    PlbBaseMail *Mail;
    PlbPrecomp  *Precomp;
    int          PlbDim;
    bool         ResultsMissing;
    TTimeStep    StartTimeStep;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
