/*      file     : parcontrol/TApplicationMaster.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TApplicationMaster.h,v 1.8 2005/03/25 11:07:02 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TAPPLICATIONMASTER_H
#define TAPPLICATIONMASTER_H

// ***INCLUDES************************************************************************ 

#include <TBaseObject.h>
#include <TMessageRecipient.h>

// ***FORWARDS************************************************************************

class TApplicationSlave;
class TTopology;

#include <TNode.forward.h>
#include <TEdge.forward.h>

// ***CLASSES************************************************************************* 

class TApplicationMaster : public TBaseObject, public TMessageRecipient

{
public:
    
    TApplicationMaster(TApplicationSlave *theApplicationSlave);
    virtual ~TApplicationMaster(void);

    virtual bool
    Activate(void);

    virtual bool
    Run(void);

protected:

    bool
    DistributeSimulationObjects(TTopology *theTopology,
                                TNodeList *Nodes, TClassInfo *LocationClassInfo,
                                TEdgeList *Edges, TClassInfo *AdjacenceClassInfo,
                                TInfoMask AdditionalNodeLoadMask,
                                TInfoMask AdditionalEdgeLoadMask);

    virtual bool
    HandleEvent(TEventID EventID, TBaseMessage *aMessage, int &Handled);

    bool
    SendEventToTopology(TEventID EventID, const char *Description, bool Synchronize);

    bool
    StartApplicationSequence(TTimeStep &Start, long NrOfTimeSteps);

    TApplicationSlave *ApplicationSlave;
    TTopology         *Topology;
    TTimeStep          ApplicationTimeStep;

private:

    
    bool
    HandleEventAckSequence(int &Handled);


    long               MissingSeqAcks;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
