/*      file     : partools/TCommunicationLink.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TCommunicationLink.C,v 1.3 2005/03/25 11:08:14 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <stdio.h>

#include <TNetwork.h>

#include "TCommunicationLink.h"

// ***GLOBAL VARIABLES****************************************************************  

TClassInfo *TCommunicationLink::ClassInfo = 0;

// ***METHODS************************************************************************* 

#ifdef NO_INLINE
#  include "TCommunicationLink.i.C"
#endif

// =================================================================================== 
#define ParentClass TContainerObject
// =================================================================================== 

TCommunicationLink::TCommunicationLink(TParallelID theParallelID) :

ParentClass(ClassInfo, theParallelID)

{    
    _Init();
    Network->SplitCommunicationLinkID(theParallelID, FromCPNID, ToCPNID);
}

// =================================================================================== 

TCommunicationLink::TCommunicationLink(TCPNID theFromCPNID, TCPNID theToCPNID) :

ParentClass(ClassInfo, Network->GetCommunicationLinkID(theFromCPNID, theToCPNID))

{    
    _Init();
    FromCPNID = theFromCPNID;
    ToCPNID = theToCPNID;
}

// =================================================================================== 

TString
TCommunicationLink::GetClassName(void) const

{
    return "CommunicationLink";
}

// =================================================================================== 

TString
TCommunicationLink::GetInstanceName(void) const

{
    char Line[256];

    sprintf(Line, "from:%lX to %lX", FromCPNID, ToCPNID);
    return Line;
}

// =================================================================================== 

void
TCommunicationLink::_Init(void)

{
    LinkFlags = CL_FLAG_DEFAULT;
}

// =================================================================================== 
#undef ParentClass

