/*      file     : partools/TDistributedRange.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TDistributedRange.C,v 1.6 2005/03/25 11:08:14 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TBaseStream.h>

#include "TDistributedRange.h"

// ***METHODS************************************************************************* 

#ifdef NO_INLINE
#include <TDistributedRange.i.C>
#endif

// ===================================================================================

bool
TDistributedRange::Decode(TBaseStream *Stream)

{
    return (Stream->Decode(RangeBegin) AND
            Stream->Decode(RangeEnd));
}

// ===================================================================================

bool
TDistributedRange::Encode(TBaseStream *Stream) const

{
    return (Stream->Encode(RangeBegin) AND
            Stream->Encode(RangeEnd));
}

// ===================================================================================
#ifdef INLINE_BUG
long
TDistributedRange::GetLongEnd(long Value)

{
    return (long) (RangeEnd * Value);
}
#endif
// ===================================================================================
#ifdef INLINE_BUG
long
TDistributedRange::GetLongBegin(long Value)

{
    return (long) (RangeBegin * Value);
}
#endif
// =================================================================================== 

void
TDistributedRange::Invert(void)

{
    double Temp = RangeBegin;
    RangeBegin = 1.0 - RangeEnd;
    RangeEnd = 1.0 - Temp;
}

// =================================================================================== 
