/*      file     : partools/TNode.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TNode.i.C,v 1.4 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline TIncidenceInfo *
TNode::GetIncidenceInfo(TInfoID IncidenceInfoID) 

{
    TIncidenceInfo *IncInfo;

    if ((IncInfo = (TIncidenceInfo *) 
         GetInfo((IncidenceInfoID == INVALID)? DefaultIncidenceInfoID:
                 IncidenceInfoID, TRUE, TRUE)) == 0)
    {
        Warning("Loc: cannot retrieve incidence info");
        return 0;
    }
    return IncInfo;
}

// =================================================================================== 

inline TLocation &
TNode::Loc(TInfoID LocationInfoID) 

{
    TLocationInfo *LocInfo;

    if ((LocInfo = (TLocationInfo *) GetInfo(LocationInfoID, TRUE, TRUE)) == 0)
    {
        Warning("Loc: cannot retrieve location info");
        return NullLocation;
    }
    return LocInfo->Loc();
}

// =================================================================================== 
