/*      file     : partools/TObjectHandler.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TObjectHandler.h,v 1.8 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TOBJECTHANDLER_H
#define TOBJECTHANDLER_H

// ***INCLUDES************************************************************************ 

#include <ParToolsTypes.h>
#include <TDLList.h>

// ***FORWARDS************************************************************************

class TClassInfo;
class TObjectManager;
class TParallelObject;

// ***TYPES*************************************************************************** 

enum TObjectAction

{
    ActionAdd,
    ActionMerge,
    ActionSplit,
    ActionRemove,
    ActionCreate,
    ActionLoaded,
    ActionDecoded,
    ActionDestroy,
    ActionAddBoundary,
    ActionRemoveBoundary,
    ActionMigrated,
    ActionModified
};
 
// ***CLASSES************************************************************************* 

class TObjectHandler : public TDLNodePrimitive

{

public:

    TObjectHandler(void);

    virtual bool
        HandleCreateRequest(TParallelObject *&Object, const TClassInfo *theClassInfo,
                            TParallelID theParallelID);
    virtual bool
        HandleLoadRequest(TParallelObject *theObject, bool &Loaded);

    virtual bool
        HandleAction(TParallelObject *theObject, TObjectAction theAction);

    virtual bool
        HandleAnonymousAction(TClassInfo *theClassInfo, TObjectAction theAction);
};

// ***TYPES*************************************************************************** 

typedef TDLList < TObjectHandler > TObjectHandlerList;
typedef TDLListEnum < TObjectHandler > TObjectHandlerEnum;

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
