/*      file     : partools/TParallelListObject.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TParallelListObject.h,v 1.4 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TPARALLELLISTOBJECT_H
#define TPARALLELLISTOBJECT_H

// ***INCLUDES************************************************************************ 

#include <TDLList.h>

#include <TParallelObject.h>

#include <ParallelTypes.h>
#include <ParToolsTypes.h>

// ***FORWARDS************************************************************************ 

class TBaseStream;
class TClassInfo;

// ***CLASSES************************************************************************* 

class TParallelListObject : public TParallelObject, public TDLNodePrimitive

{
public:

    TParallelListObject(TClassInfo *ClassInfo, TParallelID ParallelID);
    TParallelListObject(TClassInfo *ClassInfo, TBaseStream *Stream,
                        TTransferInfo *TransferInfo);

    virtual ~TParallelListObject(void);

    virtual TString
    GetClassName(void) const;
};

// ***TYPES*************************************************************************** 

typedef TDLList< TParallelListObject > TParallelObjectList;
typedef TDLListEnum< TParallelListObject > TParallelObjectEnum;

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
