/*      file     : partools/TTransferInfo.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TTransferInfo.h,v 1.8 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TTRANSFERINFO_H
#define TTRANSFERINFO_H

// ***INCLUDES************************************************************************ 

#include <ParallelTypes.h>

#include "TDistributedRange.h"

// ***FORWARDS************************************************************************

class TBaseStream;

// ***TYPES*************************************************************************** 

/** Transfer modes. */

enum TTransferMode

{
    /** Data that can be retrieved from data base. */

    TM_ConstData,

    /** Data that can NOT be retrieved from data base. */
    TM_VarData,

    TM_AsciiData,
    TM_BinaryData,

    TM_SimpleBoundaries,

    TM_FullBoundaries,

    TM_MigrationInfo
};

// ***CLASSES************************************************************************* 

class TTransferInfo 

{
public:

    bool
        Decode(TBaseStream *Stream);
    bool
        Encode(TBaseStream *Stream) const;

    TCPNID            Destination;
    TDistributedRange TransferRange;
    TTransferMode     TransferMode;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
