/*      file     : pvm/LocalPvm.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: LocalPvm.h,v 1.3 2005/03/25 11:08:25 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef LOCALPVM_H
#define LOCALPVM_H

// ***INCLUDES************************************************************************ 

#include <stdio.h>
#include "Pvm.h"

// ***DEFINES************************************************************************* 

#define POWERPVM_TID_MASK   0x00FF0000
#define POWERPVM_TID_SHIFT  12
#define POWERPVM_TID_SET    0x00020000
#define POWERPVM_TID(tid)   ((((tid) & POWERPVM_TID_MASK) >> POWERPVM_TID_SHIFT) | \
                             POWERPVM_TID_SET)

// ***PROTOTYPES********************************************************************** 
#ifdef __cplusplus
extern "C" {
#endif
    int
        PvmArchCode(const char *ArchName);
    void
        PvmCatchOut(FILE *);
    int
        PvmMyTID(void);
    int
        PvmTID(struct pvmhostinfo* HostInfo);
#ifdef __cplusplus
}
#endif
// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
