
/* Decode an array of type <em>signed char</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(signed char &Data, long  Count, long Stride = 1);
/* Encode an array of type <em>signed char</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const signed char &Data, long  Count, long Stride = 1) const;

/* Decode an array of type <em>double</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(double &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>double</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const double &Data, long Count = 1, long Stride = 1) const;

/* Decode an array of type <em>float</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(float &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>float</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const float &Data, long Count = 1, long Stride = 1) const;

/* Decode an array of type <em>int</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(int &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>int</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const int &Data, long Count = 1, long Stride = 1) const;

/* Decode an array of type <em>long</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(long &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>long</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const long &Data, long Count = 1, long Stride = 1) const;

/* Decode an array of type <em>short int</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(short int &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>short int</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const short int &Data, long Count = 1, long Stride = 1) const;

/* Decode an array of type <em>unsigned char</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(unsigned char &Data, long  Count, long Stride = 1);
/* Encode an array of type <em>unsigned char</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const unsigned char &Data, long  Count, long Stride = 1) const;

/* Decode an array of type <em>unsigned int</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(unsigned int &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>unsigned int</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const unsigned int &Data, long Count = 1, long Stride = 1) const;

/* Decode an array of type <em>unsigned long</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(unsigned long &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>unsigned long</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const unsigned long &Data, long Count = 1, long Stride = 1) const;

/* Decode an array of type <em>unsigned short int</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(unsigned short int &Data, long Count = 1, long Stride = 1);
/* Encode an array of type <em>unsigned short int</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const unsigned short int &Data, long Count = 1, long Stride = 1) const;
